  document.addEventListener("DOMContentLoaded", function(event) { 
    var handler = StripeCheckout.configure({

      panelLabel: weddlist_stripe.stripe_button_text,
      key: weddlist_stripe.publishable_key,
      token: function(token) {
       // You can access the token ID with `token.id`.
         jQuery.ajax({  
           url: weddlist_stripe.ajaxurl,
           data: {
              action: "stripe_create_payment",
              stripeToken: token.id,
              stripeEmail: token.email,
			       packageid: jQuery('#pay_package').val(),			  
              amount: ( jQuery('#total_amount').val() * 100 ),
           },
           error: function(errorThrown) {
              jQuery('#info').html('<p>An error has occurred</p>');
           },
           success: function(data) {
				redURL = data;
				window.location.href = redURL;			  
           },
           type: 'POST'
        });
     }
    });
    var stripe_pay_amount = document.getElementById('stripe_pay_button');
    if (stripe_pay_amount) {
       stripe_pay_amount.addEventListener('click', function(e) {
          // Open Checkout with further options:
	

         jQuery.ajax({  
           url: weddlist_stripe.ajaxurl,
           data: {
              action: "weddlist_set_payment",
              pay_package: jQuery('#pay_package').val() ,
           },
           error: function(e) {
              jQuery('#info').html('<p>An error has occurred</p>');
           },
           success: function(data) {
			   	jQuery('#total_amount').val(data);
				  handler.open({
					name: weddlist_stripe.stripe_title,
					description: weddlist_stripe.stripe_tagline,
					currency: weddlist_stripe.stripe_currency,	
					amount: ( data * 100 )
				  });
				  e.preventDefault();
           },
           type: 'POST'
        }); 

      });
    }
});