<?php

// If this file is called directly, abort. 
if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

if ( ! class_exists( 'SSP_Payment_Shortcode' ) ) :

class SSP_Payment_Shortcode {	
	public function __construct() {
		add_shortcode('ssp_payments_form', array( $this, 'ssp_ssp_payment_form') );		
	}
	function ssp_ssp_payment_form() {

		$output= '';

		$output.='<div class="col-md-12">';
		$output.='<button id="stripe_pay_button">Pay with Stripe</button>';
		$output.='</div>';
		
		wp_enqueue_script('stripe', 'https://checkout.stripe.com/checkout.js');
		wp_enqueue_script( 'stripe-processing' );

		return $output;
	}
}

endif;

new SSP_Payment_Shortcode();