<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package weddlist
 */

get_header(); ?>
	<section class="main-container">
		<div class="container text-center">
			<h1 class="error-heading"><?php esc_html_e( '404', 'weddlist' ); ?></h1>
			<div class="error-sub-heading"><?php esc_html_e( 'This page may have been moved or deleted.', 'weddlist' ); ?></div>
      		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn-pink"><?php esc_html_e( 'Back To Home', 'weddlist' ); ?></a>
		</div>
	</section>
<?php
get_footer();