 ///////////////////////////////////////////////////////////////////////////////////////////  
  ////////  profile uploader
  ////////////////////////////////////////////////////////////////////////////////////////////   
  jQuery(document).ready(function($) {
     "use strict";

    var image_upload_total_limit=jQuery("#image_value").attr("data-image_upload_total_limit");
    var image_uploaded_images=jQuery("#image_value").attr("data-image_uploaded_images");

    var maxfile_value= parseInt(image_upload_total_limit) - parseInt(image_uploaded_images);   

    var maxfile = parseInt(maxfile_value);     
  
      if (typeof(plupload) !== 'undefined') {
            var uploader = new plupload.Uploader(ajax_vars.plupload);
            uploader.init();
            uploader.bind('FilesAdded', function (up, files) {

            image_upload_total_limit=jQuery("#image_value").attr("data-image_upload_total_limit");
            image_uploaded_images=jQuery("#image_value").attr("data-image_uploaded_images");

            maxfile_value= parseInt(image_upload_total_limit) - parseInt(image_uploaded_images);

            maxfile = parseInt(maxfile_value);

            jQuery("#image_upload_alert").show();

              if(files.length<=maxfile)
              {                              
                  $.each(files, function (i, file) {

                      // Vendor Plan Image Limit set here

                      var image_uploaded_images=$("#image_value").attr("data-image_uploaded_images");
            
                      jQuery("#image_value").attr("data-image_uploaded_images", parseInt(image_uploaded_images)+files.length);
                       
                      jQuery('#aaiu-upload-imagelist').append(
                          '<div id="' + file.id + '">' +
                          file.name + ' (' + plupload.formatSize(file.size) + ') <b></b>' +
                          '</div>');
                  });

                  up.refresh(); // Reposition Flash/Silverlight
                  uploader.start();
              }
              else
              {
                  //alert("Please upload images as per your plan limit.");
                  var image_upload_total_limit=jQuery("#image_value").attr("data-image_upload_total_limit");

                  jQuery('#aaiu-upload-imagelist').append("<div>Error: Limit "+image_upload_total_limit+" Images,Message:Please upload images as per your plan limit.</div>");
                  up.splice();
                  up.refresh(); // Reposition Flash/Silverlight 
              }   
            });

            uploader.bind('UploadProgress', function (up, file) {
                jQuery('#' + file.id + " b").html(file.percent + "%");
            });

            // On erro occur
            uploader.bind('Error', function (up, err) {
                jQuery('#aaiu-upload-imagelist').append("<div>Error: " + err.code +
                    ", Message: " + err.message +
                    (err.file ? ", File: " + err.file.name : "") +
                    "</div>"
                );   
                up.refresh(); // Reposition Flash/Silverlight
            });



            uploader.bind('FileUploaded', function (up, file, response) {
            
                var result = $.parseJSON(response.response);
                 
             
                $('#' + file.id).remove();
                if (result.success) {               
                   
                    jQuery("#image_upload_alert").hide();

                    jQuery('#profile-image').attr('src',result.html);
                    jQuery('#profile-image').attr('data-profileurl',result.html);
                    jQuery('#profile-image').attr('data-smallprofileurl',result.attach);
                    
                    var all_id=jQuery('#attachid').val();
                    all_id=all_id+","+result.attach;
                    jQuery('#attachid').val(all_id);

                    var attachthumb=jQuery('#attachthumb').val();

                    if (attachthumb==''){
                        jQuery('#imagelist').append('<div class="uploaded_images" data-imageid="'+result.attach+'"><img src="'+result.html+'" alt="thumb" /><i class="fa fa-trash-o img-delete"></i><i class="fa thumber fa-star active"></i> </div>');
                        
                    }                            
                    else if (result.html!==''){
                        jQuery('#imagelist').append('<div class="uploaded_images" data-imageid="'+result.attach+'"><img src="'+result.html+'" alt="thumb" /><i class="fa fa-trash-o img-delete"></i><i class="fa thumber fa-star"></i> </div>');
                        
                    }
                    else{
                        jQuery('#imagelist').append('<div class="uploaded_images" data-imageid="'+result.attach+'"><img src="'+ajax_vars.path+'/img/pdf.png" alt="thumb" /><i class="fa fa-trash-o img-delete"></i><i class="fa thumber fa-star"></i> </div>');                    
                    }

                    delete_binder();
                    thumb_setter();
                    if(attachthumb=='')
                    {
                      jQuery('#attachthumb').val(result.attach);
                    }
                }
            });
            jQuery("#image_upload_alert").hide();
    }

    $(".property_uploaded_thumb_front" ).sortable({
        revert: true,
        update: function( event, ui ) {
            var all_id,new_id;
            all_id="";
            $( ".property_uploaded_thumb_front .uploaded_images" ).each(function(){

                new_id = $(this).attr('data-imageid'); 
                if (typeof new_id != 'undefined') {
                    all_id=all_id+","+new_id; 

                }

            });

            $('#attachid').val(all_id);
        },
    }); 

});
 function thumb_setter(){
  
    jQuery('#imagelist .thumber').click(function(){
    
        jQuery("#imagelist .thumber").removeClass('active');
        //jQuery('#imagelist .thumber').each(function(){
             jQuery(this).addClass('active');
        //});

        //jQuery(this).parent().append('<i class="fa thumber fa-star"></i>')
        jQuery('#attachthumb').val(   jQuery(this).parent().attr('data-imageid') );
    });   
 }
 
 
 
 function delete_binder(){
      jQuery('#imagelist .img-delete').click(function(){
          var curent='';  
          jQuery(this).parent().remove();
          
          jQuery('#imagelist .uploaded_images').each(function(){
             curent=curent+','+jQuery(this).attr('data-imageid'); 
          });
          jQuery('#attachid').val(curent); 

          var image_uploaded_images=jQuery("#image_value").attr("data-image_uploaded_images");
          final_upload_image= parseInt(image_uploaded_images-1);
          if(final_upload_image<0){
            final_upload_image=0;
          }

          jQuery("#image_value").attr("data-image_uploaded_images", final_upload_image);
          
      });
           
 }
 delete_binder();
 thumb_setter();