/**
*
 * This file contains all template Couple JS functions
 *
 * @package Weddlist
----------------------------


--------------------------------------------------------------*/

(function($) {
"use strict";   

  // Date
  if ($('.toggle-pwd').length) {

        $(".toggle-pwd").click(function () {

            $(this).toggleClass("fa-eye fa-eye-slash");
            var input = $($(this).attr("data-toggle"));
            if (input.attr("type") == "password") {
                input.attr("type", "text");
            } else {
                input.attr("type", "password");
            }
        });

  }  

  if ( $('#todolist_table').length) {  
    $('#todolist_table').DataTable({
      "searching": false,
      "lengthChange": false,  
    });
  }    


})(jQuery);	


jQuery(document).ready(function($) {



  if( $('#add_new_vendor_options').length )
  {
     $('#add_new_vendor_options').on( 'click', function(e){

      var category_name=$(this).data( "category");
      var vendor=$(this).data( "vendor");
      var website=$(this).data( "website");

      var data =  '<div class="row"><div class="col-sm-3">'
                      +'<div class="form-group">'
                          +'<input type="text" class="form-control category_name" placeholder="'+category_name+'">'
                      +'</div>'
                  +'</div>'
                  +'<div class="col-sm-4">'
                      +'<div class="form-group">'
                          +'<input type="text" class="form-control business_name" placeholder="'+vendor+'">'
                      +'</div>'
                  +'</div>'
                  +'<div class="col-sm-4">'
                      +'<div class="form-group">'
                          +'<input type="text" class="form-control website_link" placeholder="'+website+'">'
                      +'</div>'
                  +'</div>'
                  +'<div class="col-md-1"><a href="javascript:void(0);" class="remove_vendor_clone btn btn btn-grey btn-credit-delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></div>'
              +'</div>';

            $('.realwedding-credits-add').append( data );
            weddlist_remove_vendor_clone();
            e.preventDefault(); 
       } );    
  }  
  if( $(".remove_vendor_clone").length ){

        $(".remove_vendor_clone").on( 'click', function(){

            $(this).closest("div.row").remove();
        } );
 }


 // Real Wedding Ajax

    if( $('form#add-realwedding').length ){
    
     $('form#add-realwedding').on('submit', function(e){

     if (!jQuery("form#add-realwedding").valid()) return false;

        var form_id =  '#' + $(this).attr( 'id' );

        var add_content = tinymce.editors.add_content.getContent();


      var realwedding_color = []
      $("input[name='color[]']:checked").each(function ()
      {
          realwedding_color.push(parseInt($(this).val()));
      });


        var vendors_credits = new Array();

        $( '.realwedding-credits-add .row' ).map(function( index, value ) {
            vendors_credits.push({
                'category_name'     : $(this).find('.category_name').val(),
                'business_name'     : $(this).find('.business_name').val(),
                'website_link'      : $(this).find('.website_link').val()
            });
        });

        attachid = $(form_id+' #attachid').val();
        attachthumb = $(form_id+' #attachthumb').val();    

        jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: { 
                'action': 'weddlist_ajax_add_readlwedding', //calls Ajax
                'edit_id': $(form_id+' #edit_id').val(), 
                'add_title': $(form_id+' #add_title').val(),
                'add_content': add_content, 
                'weddingdate': $(form_id+' #weddingdate').val(), 
                'weddingplace': $(form_id+' #weddingplace').val(),
                'realwedding_location': $(form_id+' #realwedding_location').val(),
                'realwedding_theme': $(form_id+' #realwedding_theme').val(), 
                'realwedding_season': $(form_id+' #realwedding_season').val(),
                'realwedding_color': realwedding_color,
                'vendors_credits':vendors_credits,
                'attachid': attachid,
                'attachthumb': attachthumb,                 
                'security': $(form_id+' #security').val(),
              },
            success: function(data){ 
              jQuery('html, body').animate({ scrollTop: 0 }, 'slow');              
              $( form_id + ' .status').show().html(data);
            },
            error: function (response) {
              $( form_id + ' .status').show().html( response.status );
            }
        });


        e.preventDefault();

        });

    }  


});

function weddlist_remove_vendor_clone(){
  if( jQuery(".remove_vendor_clone").length ){
        jQuery(".remove_vendor_clone").on( 'click', function(){
            jQuery(this).closest("div.row").remove();
        } );
  }  
}
weddlist_remove_vendor_clone();  