<?php

/*****************************
*
*	LOAD INIT FILES
*
*****************************/

/**
*Load Theme options file
*/
if (class_exists('Redux')) {
    require_once get_template_directory() . '/inc/options-config.php';
}


/**
*Load Theme options file
*/
if (class_exists('CSF')) {
    require_once get_template_directory() . '/inc/couple-options.php';
}

/**
 * Customizer additions.
 */
require_once get_template_directory() . '/inc/css-js-include.php';

/**
 * Implement the Custom Header feature.
 */
require_once get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require_once get_template_directory() . '/inc/template-tags.php';


/**
 * Help Functions .
 */
require_once get_template_directory() . '/inc/help-function.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require_once get_template_directory() . '/inc/template-functions.php';

/**
 * Functions which enhance the theme by general function.
 */
require_once get_template_directory() . '/inc/general-function.php';

/**
 * Customizer additions.
 */
require_once get_template_directory() . '/inc/customizer.php';


/**
 * Ajax Upload.
 */
require_once get_template_directory() . '/inc/ajax-upload.php';

/**
 * Nav Walker.
 */
require_once get_template_directory() . '/inc/nav-menu-walker.php';

/**
 * Widget Functions.
 */
require_once get_template_directory() . '/inc/widget/init-widget.php';

/**
 * King composer load file
 */

require_once get_template_directory() . '/inc/kingcomposer.php';


/**
*Load TGMPA plagin activation
*/

require_once get_template_directory() . '/inc/init/class-tgm-plugin-activation.php';

/**
* load Required Plugins Activation
*/
require_once get_template_directory() . '/inc/init/require-plugin.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require_once get_template_directory() . '/inc/jetpack.php';
}

/* Demo Content import*/
require_once get_template_directory().'/inc/merlin/class-merlin.php';
require_once get_template_directory().'/inc/demo-wizard.php';
require_once get_template_directory().'/inc/merlin-config.php';

require_once get_template_directory() . '/inc/woocommerce.php';
add_action( 'admin_init', function() {
    if ( did_action( 'elementor/loaded' ) ) {
        remove_action( 'admin_init', [ \Elementor\Plugin::$instance->admin, 'maybe_redirect_to_getting_started' ] );
    }
}, 1 );