<?php 

    Redux::setSection( $opt_name, array(
        'title'            => __( 'Footer', 'weddlist' ),
        'id'               => 'footer',
        'customizer_width' => '400px',
        'icon'             => 'el el-leaf',
        'fields'     => array(
            array(
                'title' =>  __('Footer Background', 'weddlist'),
                'id'    =>  'footer_background',
                'type'  =>  'background',
                'default'   =>  array(
                    'background-image'  =>  '',
                    'background-repeat' =>  'no-repeat',
                    'background-position'   =>  'center center',
                    'background-size'   =>  'inherit',
                    'background-attachment' =>  'scroll',
                    'background-color'  =>  '#353139'
                    ),
            ),
            array(
                'id'       => 'footer_a_color',
                'type'     => 'color',
                'title'    => esc_html__('Footer Link Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #b7b0c0).', 'weddlist'),
                'default'  => '#b7b0c0',
                'validate' => 'color',
                'compiler' => true,
                'output'   => array('.footer-main-block a'),                    
            ),          
            array(
                'id'       => 'footer_a_hover_color',
                'type'     => 'color',
                'title'    => esc_html__('Footer Link Hover Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #FFFFFF).', 'weddlist'),
                'default'  => '#FFFFFF',
                'validate' => 'color',
                'compiler' => true,
                'output'   => array('.footer-main-block a:hover'),                  
            ),          
            array(
                'id'       => 'footer_title_color',
                'type'     => 'color',
                'title'    => esc_html__('Footer Title Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #FFFFFF).', 'weddlist'),
                'default'  => '#FFFFFF',
                'validate' => 'color',
                'compiler' => true,
                'output'   => array('.footer-main-block .footer-heading'),  
            ),          
            array(
                'id'       => 'footer_p_color',
                'type'     => 'color',
                'title'    => esc_html__('Footer P Tag Color', 'weddlist'), 
                'subtitle' => esc_html__('(default: #b7b0c0).', 'weddlist'),
                'default'  => '#b7b0c0',
                'validate' => 'color',
                'compiler' => true,
                'output'   => array('.footer-main-block p'),    
            ),
            array(
                'id'       => 'tinybg',
                'type'     => 'color',
                'compiler' => true,
                'title' =>  __('Tiny Footer Background Color', 'weddlist'),
                'default'   =>  '#353137',
                'validate' => 'color',
                'mode'     => 'background',
                'output'    =>  array('.copyright-block'),              
            ),
            array(
                'id'       => 'copyright',
                'type'     => 'text',
                'title'    => esc_html__('Tiny Footer Copyright', 'weddlist'), 
                'default'  => '&copy; 2020 All rights reserved.',
            ),


        )
    ) );    
?>