<?php 

    Redux::setSection( $opt_name, array(
        'title'            => __( 'WooCommerce', 'weddlist' ),
        'id'               => 'woocommerce_settings',
        'customizer_width' => '400px',
        'icon'             => 'el el-shopping-cart el-icon-small',
        'fields'     => array( 

           array(
                'id'    =>  'woocommerce_header_add_cart',
                'type'  =>  'switch',
                'title' =>  esc_html__('Header Cart Icon', 'weddlist'),
                'desc' => esc_html__('Select "ON" to show header menu right side cart icon with real counter', 'weddlist'),
                'default'   =>  false,
            ),

            array(
            'id'       => 'woocommerce_column',
            'type'     => 'select',
            'title'    => esc_html__('WooCommerce Product List Column', 'weddlist'),
            'desc' => esc_html__('Select how many column you want to show for product list view', 'weddlist'),
            'options'  => array(
                    '1'  => 'One Column',
                    '2'  => 'Two Columns',
                    '3'  => 'Three Columns',
                    '4'  => 'Four Columns',
                ),          
                'default' => '3'
            ),

             array(
                'id'       => 'woocommerce_product_per_page',
                'type'     => 'text',
                'title'    => esc_html__('Products Per Page', 'weddlist'), 
                'desc'     => esc_html__('Select how many product you want to show on SHOP page','weddlist') ,
                'default'  => '9',
            ),

            array(
                'id'    =>  'wc_single_show_related_on',
                'type'  =>  'switch',
                'title' =>  esc_html__('Show Related Products', 'weddlist'),
                'desc' => esc_html__('Select "ON" to show Related Products below the product description on single product details', 'weddlist'),
                'default'   =>  true,
            ),

            array(
            'id'       => 'wc_single_related_column',
            'type'     => 'select',
            'title'    => esc_html__('Column for Related Products', 'weddlist'),
            'desc'     => esc_html__('Select how many column you want to show for product list of related products', 'weddlist'),
            'options'  => array(
                    '1'  => 'One Column',
                    '2'  => 'Two Columns',
                    '3'  => 'Three Columns',
                    '4'  => 'Four Columns',
                ),          
                'default' => '3'
            ),

             array(
                'id'       => 'wc_single_related_count',
                'type'     => 'text',
                'title'    => esc_html__('Related Products Show', 'weddlist'), 
                'desc'     => esc_html__('Select how many product you want to show on SHOP page','weddlist') ,
                'default'  => '3',
            ),

        )
    ) );    

?>