<?php 

extract( $atts );

$category_type_id=$atts['category'];
$location_id=$atts['location'];
$searchbox=$atts['searchbox'];

?>
<div class="load-trigger" id="load-trigger">
<div class="containernot">
  <div class="row">
    <div class="col-md-12">
      <div class="listing-with-location-category">
        <?php 
		if($searchbox==1)
		{
		?>
		<div class="refine-search">
          <h4 class="refine-search-heading"><?php esc_html_e('Refine Your Search','weddlist');?></h4>
          <form method="get" id="search-form">
            <div class="form-search">
              <div class="row">
                <div class="col-md-3 col-sm-6 form-group">
                  <input type="text" name="listingname" id="listingname" class="form-control" placeholder="<?php esc_html_e('Type Vendor Name','weddlist'); ?>">
                </div>
                <div class="col-md-3 col-sm-6 form-group">
                  <div class="select-category-dropdown">
                    <?php echo weddlist_item_filter_category($category_type_id); ?>
                  </div>
                </div>
                <div class="col-md-4 col-sm-6 form-group">
                  <div class="select-city-dropdown">
                    <?php echo weddlist_item_filter_location($location_id);?>
                  </div>
                </div>                                
                <div class="col-md-2 col-sm-6">
                  <div class="search-btn">
                    <button type="button" id="btn-search-on" class="trigger-call btn btn-pink"><?php esc_html_e('Search','weddlist');?></button>
                  </div>
                </div>
              </div>

            </div>
            <input type="hidden" name="map_diplay" id="map_diplay" value="No" />
            <input type="hidden" name="min_price" id="min_price" value="" />
            <input type="hidden" name="max_price" id="max_price" value="" />
          </form>
        </div>
		<?php } 
		?>
        <div id="item_results"></div>
      </div>
    </div>
  </div>
</div>
</div>
<?php 
	if(empty($searchbox))
	{
?>
<input type="hidden" name="map_diplay" id="map_diplay" value="No" />  
<input type="hidden" name="category_type" id="category_type" value="<?php echo esc_html($category_type_id); ?>" />
<input type="hidden" name="location" id="location" value="<?php echo esc_html($location_id); ?>" />
<input type="hidden" name="min_price" id="min_price" value="" />
<input type="hidden" name="max_price" id="max_price" value="" />
<div id="btn-search-on" class="trigger-call"></div>
<?php 
	}
?>
