<?php
/**
 * Template name: Blog grid
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header(); 

global $wp_query;
$i=1;
$paged = get_query_var('paged');
query_posts('post_type=post&post_status=publish&posts_per_page='.get_option('posts_per_page').'&paged='.$paged );
$total_element=$wp_query->post_count;
?>
<div class="main-container blog-main-block">
	<div class="container">
		<div class="row">
			<div class="col-md-12 content-left"><!-- content left -->
			<?php
			if ( have_posts() ) :
			/* Start the Loop */


			while ( have_posts() ) : the_post();
			/*
			 * Include the Post-Format-specific template for the content.
			 * If you want to override this in a child theme, then include a file
			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
			 */

			get_template_part( 'template-parts/content', 'grid' );


			if(($i%3)==0 && $i<$total_element)
			{
				echo '</div><div class="row">';
			}	
			$i++;

			endwhile;
			weddlist_pagination();
			else :
			get_template_part( 'template-parts/content', 'none' );
			endif; 
			?>
			</div>   
		</div>
	</div>		
</div><!-- /.main-block -->
<?php 
get_footer();
?>