<?php
/**
 * Template name: Blog
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header(); 
query_posts('post_type=post&post_status=publish&posts_per_page='.get_option('posts_per_page').'&paged='. get_query_var('paged'));
?>
<div class="main-container blog-main-block">
	<div class="container">
		<div class="row">
			<div class="col-md-8 content-left"><!-- content left -->
			<?php
			if ( have_posts() ) :
			/* Start the Loop */
			while ( have_posts() ) : the_post();
			/*
			 * Include the Post-Format-specific template for the content.
			 * If you want to override this in a child theme, then include a file
			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
			 */
			get_template_part( 'template-parts/content', get_post_format() );
			endwhile;
			weddlist_pagination();
			else :
			get_template_part( 'template-parts/content', 'none' );
			endif; 
			?>
			</div>
			<!-- /.content left -->
			<div class="col-md-4 blog-sidebar"><!-- blog-sidebar -->
				<?php if ( is_active_sidebar( 'sidebar-1' ) ) { ?>
			        <?php dynamic_sidebar( 'sidebar-1' ); ?>
			    <?php } ?>         
			</div>
			<!-- /.blog-sidebar -->        
		</div>
	</div>		
</div><!-- /.main-block -->
<?php 
get_footer();
?>