<?php
if(isset($_POST['download-xls']))
{
	include_once(get_parent_theme_file_path().'/inc/ExcelClasses/PHPExcel.php');
	if (is_user_logged_in() ) {

		global $current_user,$post,$wpdb;
		wp_get_current_user();
		$userID          = $current_user->ID;	

		$guestlist_table = $wpdb->prefix."guestlist";

		$result = array();

		$objPHPExcel	=	new	PHPExcel();
		$objPHPExcel->setActiveSheetIndex(0);

		$objPHPExcel->getActiveSheet()->SetCellValue('A1', mb_convert_encoding(esc_attr('Family Name','weddlist'),'UTF-8'));
		$objPHPExcel->getActiveSheet()->SetCellValue('B1', mb_convert_encoding(esc_attr('Email','Email'),'UTF-8'));
		$objPHPExcel->getActiveSheet()->SetCellValue('C1', utf8_encode(esc_attr('Phone','weddlist')));
		$objPHPExcel->getActiveSheet()->SetCellValue('D1', utf8_encode(esc_attr('Total Members','weddlist')));
		$objPHPExcel->getActiveSheet()->SetCellValue('E1', mb_convert_encoding(esc_attr('Ceremony','weddlist'),'UTF-8'));
		$objPHPExcel->getActiveSheet()->SetCellValue('F1', mb_convert_encoding(esc_attr('Reception','weddlist'),'UTF-8'));
		$objPHPExcel->getActiveSheet()->SetCellValue('G1', mb_convert_encoding(esc_attr('Invite','weddlist'),'UTF-8'));
		$objPHPExcel->getActiveSheet()->SetCellValue('H1', mb_convert_encoding(esc_attr('Details','weddlist'),'UTF-8'));


		$objPHPExcel->getActiveSheet()->getStyle("A1:H1")->getFont()->setBold(true);

						
		$get_rows = $wpdb->get_results( "SELECT * FROM ".$guestlist_table. " where guest_user=".$userID. " order by guest_id  ASC"  );
		
		$j=1;
		$rowCount	=	2;
		for($k=0;$k<count($get_rows);$k++)
		{
			$id=$get_rows[$k]->guest_id;
			
			if($get_rows[$k]->guest_invited==1)
			{
				$status="Yes";
			}else{
				$status="No";
			}
	
			if($get_rows[$k]->guest_event_ceremony==1)
			{
				$ceremony="Yes";
			}else{
				$ceremony="No";
			}

			if($get_rows[$k]->guest_event_reception==1)
			{
				$reception="Yes";
			}else{
				$reception="No";
			}

			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$rowCount, mb_convert_encoding($get_rows[$k]->guest_familyname,'UTF-8'));
			$objPHPExcel->getActiveSheet()->SetCellValue('B'.$rowCount, mb_convert_encoding($get_rows[$k]->guest_email,'UTF-8'));
			$objPHPExcel->getActiveSheet()->SetCellValue('C'.$rowCount, mb_convert_encoding($get_rows[$k]->guest_phone,'UTF-8'));
			$objPHPExcel->getActiveSheet()->SetCellValue('D'.$rowCount, mb_convert_encoding($get_rows[$k]->guest_member,'UTF-8'));
			$objPHPExcel->getActiveSheet()->SetCellValue('E'.$rowCount, utf8_encode($ceremony));
			$objPHPExcel->getActiveSheet()->SetCellValue('F'.$rowCount, utf8_encode($reception));
			$objPHPExcel->getActiveSheet()->SetCellValue('G'.$rowCount, utf8_encode($status));
			$objPHPExcel->getActiveSheet()->SetCellValue('H'.$rowCount, mb_convert_encoding($get_rows[$k]->guest_details,'UTF-8'));
			$rowCount++;
	
			$j++;
		}
		$objWriter	=	new PHPExcel_Writer_Excel2007($objPHPExcel);


		header('Content-type: text/xlsx; charset=UTF-8');
		header('Content-type: text/html; charset=UTF-8');
		header('Content-Type: application/vnd.ms-excel'); //mime type
		header('Content-Disposition: attachment;filename="guestlist_'.date("Y_m_d").'.xlsx"'); //tell browser what's the file name
		header('Cache-Control: max-age=0'); //no cache
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');  
		$objWriter->save('php://output');	
		exit;

	}
exit;
}
/**
 * Template name: Couple Dashbaord
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header('dashboard'); 

if(is_user_logged_in()){

global $current_user;
wp_get_current_user();
$userID         	= $current_user->ID;
$user_login     	= $current_user->user_login;
$first_name     	= get_the_author_meta( 'first_name' , $userID );
$last_name      	= get_the_author_meta( 'last_name' , $userID );

$usertype      		= get_the_author_meta( 'user_type' , $userID );
$user_login      	= get_the_author_meta( 'user_login' , $userID );

	$currentURL = '';
	$perma = '';
	$dashQuery = 'dashboard=';
	$currentURL = get_permalink();
	global $wp_rewrite;
	if ($wp_rewrite->permalink_structure == ''){
		$perma = "&";
	}else{
		$perma = "?";
	}

?>
<div id="main-content">
<div id="wrapper">
    <!-- Navigation --> 
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
			<?php echo weddlist_get_logo_dashboard(); ?>
           <?php if ( has_nav_menu( 'primary' ) ) { ?>
            <div class="mmenu-trigger <?php if (wp_nav_menu( array( 'theme_location' => 'primary', 'echo' => false )) == false) { ?> hidden-burger <?php } ?>">
              <button class="mobilebar mobilebar--collapse" type="button">
                <span class="mobilebar-box">
                  <span class="mobilebar-inner"></span>
                </span>
              </button>
            </div>
        <?php } ?>
        </div>
        <!-- Top Menu Items -->
        <div class="main-side">
	        <div class="left-side">

           <!-- Mobile Nav -->
           <?php if ( has_nav_menu( 'primary' ) ) { ?>

            <!-- Main Nav -->
            <nav id="navigation" class="weddlist-navbar">
              <?php wp_nav_menu( array( 
                  'theme_location' => 'primary', 
                  'menu_id' => 'responsive', 
                  'container' => false,
                  'fallback_cb' => 'weddlist_fallback_menu',
                  'walker' => new Weddlist_Tg_Menu
              ) );  ?>                
            </nav>
          <div class="clearfix"></div>
          <?php } else {
           echo '<ul class="wedding-logo no-menu text-right"><li><a  href="' . esc_url( home_url( '/' ) ) . 'wp-admin/nav-menus.php">' . esc_html__( 'Set Primary Menu.', 'weddlist' ) . '</a></li></ul>';
            } ?>          
        <!-- Main Navigation / End -->
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
	        </div>
        
	        <div class="right-side">
		        <ul class="nav navbar-right top-nav">
		            <li class="dropdown">
		                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
		                <?php 
						if(empty($first_name) || empty($last_name))
						{
							print esc_html($user_login);	
						}else{
							print esc_html($first_name)." ".$last_name; 
						}
						?> <b class="fa fa-angle-down"></b></a>
		                <ul class="dropdown-menu">
		           	        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'profile'); ?>" class="<?php echo esc_attr($profileclass);?>lbtn"><i class="fa fa fa-user-circle"></i> <?php esc_html_e('Edit Profile','weddlist'); ?></a></li>	
		        		<li><a href="<?php echo wp_logout_url();?>" class="<?php echo esc_attr($packageclass);?>lbtn"><i class="fa fa-sign-out-alt"></i> <?php esc_html_e('Logout','weddlist'); ?></a></li>                    
		                </ul>
		            </li>
		        </ul>
	        </div>	
    	</div>


        <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
        <div class="collapse navbar-collapse navbar-ex1-collapse">
			<?php 
            get_template_part('template-parts/dashboard/couple/menu');
            ?>           
        </div>
        <!-- /.navbar-collapse -->
    </nav>

    <div id="page-wrapper">
    	<div class="pt100">
            <div class="container-fluid">
            	<div class="dashboard-inner-box">
                <!-- Page Heading -->
				<?php
				if($usertype=='couple')
				{
                    if(isset($_GET['dashboard']) && !empty($_GET['dashboard'])){
                        get_template_part('template-parts/dashboard/couple/'.$_GET['dashboard'].'');
                    }else {
                        get_template_part('template-parts/dashboard/couple/mainscreen');
                    }					
				}
				else{
					echo '<p>'.esc_html__('Sorry, You are not couple so you can not access this page!','weddlist').'</p>';
				}

                ?>
            	</div>
            </div>
            <!-- /.container -->
        </div>
    </div>
    <!-- /#page-wrapper -->
</div><!-- /#wrapper -->
</div><!-- /#main-content -->
<!--==================================Section Close=================================-->
<?php 
}else{
	weddlist_check_logout_user();
}
get_footer('dashboard');
?>