<?php
/**
 * Template name: Listing
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header(); 

$meta_query				=	array();
$k						=	1;
$row_col				=	3;
$item_capacity			=	'';
$map_list				=	'';
$category_type_array	=	'';
$category_type_id		=	'';	
$location_id			=	'';	
$location_array			=	'';
$price_low 				=	'';
$price_max				=	'';
$currency_code			=	tg_option('currency_symbols');

$search_listing_layout	=	tg_option('search_listing_layout');

if( isset($_GET['price_low']) && is_numeric($_GET['price_low'])){
	$price_low = intval($_GET['price_low']);
}

if( isset($_GET['price_max'])  && is_numeric($_GET['price_max']) ){
	$price_max          = intval($_GET['price_max']);
	$price['key']       = 'item_price';
	$price['value']     = array($price_low, $price_max);
	$price['type']      = 'numeric';
	$price['compare']   = 'BETWEEN';
	$meta_query[]       = $price;
}


if (isset($_GET['location']) && $_GET['location'] != '') {
	$location_id=$_GET['location'];
}
 //////////// end for city taxonomy

if (isset($_GET['category_type']) && $_GET['category_type'] != 'all' && $_GET['category_type'] != '' ) {
	$taxcity[]  = sanitize_title ( $_GET['category_type'] );
	$category_type_array = array(
		'taxonomy'  => 'itemcategory',
		'field'     => 'id',
		'terms'     => $taxcity
	);	
	$category_type_id=$_GET['category_type'];	
}
$feature_listing_update=tg_option('feature_listing_update');
if($feature_listing_update!="yes")
{
	weddlist_feature_listing_update_all();
}
?>
<!-- listing with left map -->
<section class="listing-with-leftmap-main-block">
  <div class="load-trigger" id="load-trigger">
    <?php
	switch ($search_listing_layout) {
		case "map_left":
			get_template_part('template-parts/listing/map','left');
			break;
		case "map_right":
			get_template_part('template-parts/listing/map','right');
			break;
		case "map_top":
			get_template_part('template-parts/listing/map','top');
			break;
		case "default":
			get_template_part('template-parts/listing/default');
			break;
		default:
			get_template_part('template-parts/listing/default');
	}	
	?>
  </div>
</section>
<?php 
$preloader_listing = tg_option('preloader_listing',false,'url');
if(!empty($preloader_listing))
{
  echo '<input type="hidden" id="preloader_listing" value="'.$preloader_listing.'">';
}
$maximum_price = tg_option('maximum_price');
if(!empty($maximum_price))
{
  echo '<input type="hidden" id="maximum_price" value="'.$maximum_price.'">';
}
get_footer();
?>