<?php
/**
 * Template name: Vendor Dashbaord
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header('dashboard'); 

if(is_user_logged_in()){

global $current_user;
wp_get_current_user();
$userID         	= $current_user->ID;
$user_login     	= $current_user->user_login;
$first_name     	= get_the_author_meta( 'first_name' , $userID );
$last_name      	= get_the_author_meta( 'last_name' , $userID );

$user_login      	= get_the_author_meta( 'user_login' , $userID );
$usertype           = get_the_author_meta( 'user_type' , $userID );

$currentURL = '';
$perma = '';
$dashQuery = 'dashboard=';
$currentURL = get_permalink();
global $wp_rewrite;
if ($wp_rewrite->permalink_structure == ''){
	$perma = "&";
}else{
	$perma = "?";
}
?>
<div id="main-content">
    <div id="wrapper">
    <!-- Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <?php echo weddlist_get_logo_dashboard(); ?>
           <?php if ( has_nav_menu( 'primary' ) ) { ?>
            <div class="mmenu-trigger <?php if (wp_nav_menu( array( 'theme_location' => 'primary', 'echo' => false )) == false) { ?> hidden-burger <?php } ?>">
              <button class="mobilebar mobilebar--collapse" type="button">
                <span class="mobilebar-box">
                  <span class="mobilebar-inner"></span>
                </span>
              </button>
            </div>
        <?php } ?>
        </div>
            <div class="main-side">
                <div class="left-side">

           <!-- Mobile Nav -->
           <?php if ( has_nav_menu( 'primary' ) ) { ?>

            <!-- Main Nav -->
            <nav id="navigation" class="weddlist-navbar">
              <?php wp_nav_menu( array( 
                  'theme_location' => 'primary', 
                  'menu_id' => 'responsive', 
                  'container' => false,
                  'fallback_cb' => 'weddlist_fallback_menu',
                  'walker' => new Weddlist_Tg_Menu
              ) );  ?>                
            </nav>
          <div class="clearfix"></div>
          <?php } else {
           echo '<ul class="wedding-logo no-menu text-right"><li><a  href="' . esc_url( home_url( '/' ) ) . 'wp-admin/nav-menus.php">' . esc_html__( 'Set Primary Menu.', 'weddlist' ) . '</a></li></ul>';
            } ?>          
        <!-- Main Navigation / End -->
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            </div>
                <div class="right-side">
                    <!-- Top Menu Items -->
                    <ul class="nav navbar-right top-nav">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <?php 
                            if(empty($first_name) || empty($last_name))
                            {
                                print ''.$user_login;   
                            }else{
                                print ''.$first_name." ".$last_name; 
                            }
                            ?> <b class="fa fa-angle-down"></b></a>
                            <ul class="dropdown-menu">
                            <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'profile'); ?>" class="<?php echo esc_attr($profileclass);?>lbtn"><i class="fa fa fa-user-circle"></i> <?php esc_html_e('Edit  Profile','weddlist'); ?></a></li>  
                            <li><a href="<?php echo wp_logout_url();?>" class="<?php echo esc_attr($packageclass);?>lbtn"><i class="fa fa-sign-out-alt"></i> <?php esc_html_e('Logout','weddlist'); ?></a></li>                    
                            </ul>
                        </li>
                    </ul>

                </div>
            </div>    

        <!-- Sidebar Menu Items - These collapse to the responsive navigation menu on small screens -->
        <div class="collapse navbar-collapse navbar-ex1-collapse">
			<?php 
             get_template_part('template-parts/dashboard/vendor/menu');
            ?>           
        </div>
        <!-- /.navbar-collapse -->
    </nav>
    
        <div id="page-wrapper">
        	<div class="pt100">
                <div class="container-fluid">
                	<div class="dashboard-inner-box">
                    <!-- Page Heading -->
    				<?php
                    if($usertype=='vendor')
                    {
                        if(isset($_GET['dashboard']) && !empty($_GET['dashboard'])){
                            get_template_part('template-parts/dashboard/vendor/'.$_GET['dashboard'].'');
                        }else {
                            get_template_part('template-parts/dashboard/vendor/mainscreen');
                        }
                    }
                    else{
                        echo '<p>'.esc_html__('Sorry, You are not vendor so you can not access this page!','weddlist').'</p>';
                    }
                    ?>
                	</div>
                </div>
                <!-- /.container -->
            </div>        
    <!-- /#page-wrapper -->
    </div>
</div>    <!-- /#main-content -->
<?php 
}else{
	weddlist_check_logout_user();	
}
get_footer('dashboard');
?>