<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package weddlist
 */

get_header(); 
$currency_code			= tg_option('currency_symbols');
global $post;

$listingname        = '';

$queried_object = get_queried_object();
$t_id = $queried_object->term_id;
$term_name = $queried_object->name;
$term_details = $queried_object->description;

if(empty($t_id))
{
	$t_id='1';	
}
?>
<div class="load-trigger ptb100" id="load-trigger">
    <div class="container">
        <div class="refine-search">
            <h4 class="refine-search-heading"><?php esc_html_e('Refine Your Search','weddlist');?></h4>
            <form method="get" id="search-form">
              <div class="row">
                <input type="hidden" id="category_type" value="<?php echo esc_attr($t_id);?>"  />
                <div class="col-md-3 col-sm-3 form-group">
                  <input type="text" name="listingname" id="listingname" class="form-control" value="<?php echo $listingname; ?>" placeholder="<?php esc_html_e('Type Vendor Name','weddlist'); ?>" />
                </div>                  
                <div class="col-md-3 col-sm-3 form-group">
                  <div class="select-city-dropdown">
                    <?php 
                    echo weddlist_item_filter_location(0);
                    ?>
                  </div>
                </div>
                <div class="col-md-4 col-sm-3 form-group">
                    <?php echo weddlist_get_price_filter($currency_code); ?>
                </div>
                <div class="col-md-2 col-sm-3">
                  <div class="search-btn">
                    <button type="button" id="btn-search-on" class="btn trigger-call btn-pink"><?php esc_html_e('Search','weddlist');?></button>
                  </div>
                </div>
              </div>
            </form>
            </div>
            <div id="item_results">
            </div>
    </div>
</div>
<input type="hidden" name="map_diplay" id="map_diplay" value="No" />
<?php
$preloader_listing = tg_option('preloader_listing',false,'url');
if(!empty($preloader_listing))
{
  echo '<input type="hidden" id="preloader_listing" value="'.$preloader_listing.'">';
}
$maximum_price = tg_option('maximum_price');
if(!empty($maximum_price))
{
  echo '<input type="hidden" id="maximum_price" value="'.$maximum_price.'">';
}
get_footer();
?>