<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package weddlist
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="blog-block">
     	<?php if (has_post_thumbnail()) {?>  
        <div class="blog-img"> 	
        <?php weddlist_post_thumbnail(); ?>
        </div>
        <?php } ?>  
        <div class="blog-dtl">
            <a href="<?php the_permalink();?>"><h4 class="blog-heading"><?php the_title();?></h4></a>
            <?php if ( 'post' === get_post_type() ) : ?>
              <ul class="meta-tags">
                <?php weddlist_posted_on(); ?>
                <li><?php comments_popup_link(
                    __('No comments', 'weddlist'),
                    __('1 comment', 'weddlist'),
                    __('% Comments', 'weddlist'),
                    'post-comment link',
                    __('Comment Disabled', 'weddlist')
                ); ?>
                </li>
              </ul>
            <?php endif; ?>
        </div><!-- .blog-dtl-->
    
         <p><?php the_excerpt();?></p>
    
         <a href="<?php the_permalink();?>" class="btn btn-pink"><?php esc_html_e('Read More', 'weddlist'); ?></a>
     </div>
</article><!-- #post-<?php the_ID(); ?> -->
