<!-- Vendor Dashboar Menubar -->
<?php 
	$currentURL = '';
	$perma = '';
	$dashQuery = 'dashboard=';
	$currentURL = get_permalink();
	global $wp_rewrite;
	if ($wp_rewrite->permalink_structure == ''){
		$perma = "&";
	}else{
		$perma = "?";
	}
	
	if(isset($_GET['dashboard']) && !empty($_GET['dashboard']))
	{
		$mainscreenclass = $_GET['dashboard']=='mainscreen' ? 'active ' : '';	
		$profileclass = $_GET['dashboard']=='profile' ? 'active ' : '';	
		$managelistingclass = $_GET['dashboard']=='managelisting' ? 'active ' : '';	
		$addlistingclass = $_GET['dashboard']=='addlisting' ? 'active ' : '';	
		$packageclass = $_GET['dashboard']=='package' ? 'active ' : '';									
		$reviewsclass = $_GET['dashboard']=='reviews' ? 'active ' : '';						
		$analyticsclass = $_GET['dashboard']=='analytics' ? 'active ' : '';											
		$guestlistclass = $_GET['dashboard']=='guestlist' ? 'active ' : '';	
		$realweddingclass = $_GET['dashboard']=='realwedding' ? 'active ' : '';										
	}
	else{
		$mainscreenclass = 'active ';	
		$profileclass = '';	
		$managelistingclass = '';	
		$addlistingclass = '';	
		$packageclass = '';									
		$analyticsclass = '';											
		$guestlistclass = '';		
		$realweddingclass = '';									
	}
?>
      <ul class="nav navbar-nav side-nav">
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'mainscreen'); ?>" class="<?php echo esc_attr($mainscreenclass);?>lbtn"><i class="fa fa-dashboard"></i><?php esc_html_e('Dashboard','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'profile'); ?>" class="<?php echo esc_attr($profileclass);?>lbtn"><i class="fa fa fa-user-circle"></i><?php esc_html_e('Edit Profile','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'todolist'); ?>" class="<?php echo esc_attr($managelistingclass);?>lbtn"><i class="fa fa-list-ul"></i><?php esc_html_e('To Do List','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'guestlist'); ?>" class="<?php echo esc_attr($guestlistclass);?>lbtn"><i class="fa fa-user-plus"></i> <?php esc_html_e('Guest List','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'budget'); ?>" class="<?php echo esc_attr($addlistingclass);?>lbtn"><i class="fa fa-calculator"></i> <?php esc_html_e('Budget','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'wishlist'); ?>" class="<?php echo esc_attr($packageclass);?>lbtn"><i class="fa fa-heart"></i> <?php esc_html_e('Favourites','weddlist'); ?></a></li>
        <li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'reviews'); ?>" class="<?php echo esc_attr($reviewsclass);?>lbtn"><i class="fa fa-star"></i> <?php esc_html_e('Reviews','weddlist'); ?></a></li>        
				<li><a href="<?php echo esc_url($currentURL.$perma.$dashQuery.'realwedding'); ?>" class="<?php echo esc_attr($realweddingclass);?>lbtn"><i class="fa fa-image"></i> <?php esc_html_e('Realwedding','weddlist'); ?></a></li>           
        <li><a href="<?php echo wp_logout_url();?>" class="<?php echo esc_attr($packageclass);?>lbtn"><i class="fa fa-sign-out"></i> <?php esc_html_e('Logout','weddlist'); ?></a></li>
      </ul>
<!-- Vendor Dashboar Menubar -->