<?php
global $current_user,$post;

$userID 		= get_post_field( 'post_author', $post->ID );
$businessname     = get_the_author_meta( 'businessname' , $userID );
$user_email     = get_the_author_meta( 'user_email' , $userID );
$user_website   = get_the_author_meta( 'website' , $userID );
$phone   		= get_the_author_meta( 'phone' , $userID );

$about_me       = get_the_author_meta( 'description' , $userID );
$address        = get_the_author_meta( 'address' , $userID );

// Social Link
$facebook   	= get_the_author_meta( 'facebook' , $userID );
$googleplus 	= get_the_author_meta( 'googleplus' , $userID );
$twitter    	= get_the_author_meta( 'twitter' , $userID );
$youtube    	= get_the_author_meta( 'youtube' , $userID );
$linkedin   	= get_the_author_meta( 'linkedin' , $userID );
$pinterest   	= get_the_author_meta( 'pinterest' , $userID );
$instagram   	= get_the_author_meta( 'instagram' , $userID );

$user_custom_picture    =   get_the_author_meta( 'custom_picture' , $userID );
$image_id               =   get_the_author_meta( 'small_custom_picture',$userID); 

if($user_custom_picture==''){
$user_custom_picture	=	get_template_directory_uri().'/assets/images/default-user.png';
}

$item_id=$post->ID;
// Listing meta 

$item_website             =   get_post_meta($item_id, 'item_website', true);
$item_phone               =   get_post_meta($item_id, 'item_phone', true);
$item_vendor_email        =   get_post_meta($item_id, 'item_vendor_email', true);

$item_facebook         =   get_post_meta($item_id, 'item_facebook', true);
$item_twitter         =   get_post_meta($item_id, 'item_twitter', true);
$item_instagram       =   get_post_meta($item_id, 'item_instagram', true);
$item_linkedin        =   get_post_meta($item_id, 'item_linkedin', true);    

if(empty($item_website))
{	$item_website = $user_website; }
if(empty($item_phone))
{	$item_phone = $phone; }
if(empty($item_vendor_email))
{	$item_vendor_email = $user_email; }

if(empty($item_facebook))
{	$item_facebook = $facebook; }
if(empty($item_twitter))
{	$item_twitter = $twitter; }
if(empty($item_instagram))
{	$item_instagram = $instagram; }
if(empty($item_linkedin))
{	$item_linkedin = $linkedin; }

$user_package_id=get_user_meta($userID, 'user_package_id', true);

$user_package_share         = get_user_meta($userID, 'user_package_share', true);
$user_package_phone         = get_user_meta($userID, 'user_package_phone',  true);
$user_package_website       = get_user_meta($userID,  'user_package_website', true);
$user_package_video         = get_user_meta($userID, 'user_package_video', true);
$user_package_vendorprofile = get_user_meta($userID, 'user_package_vendorprofile', true);  
?>
<div class="new-listing-vendor-block">
  <h4 class="description-heading"><?php esc_html_e('Vendor Profile','weddlist');?>
  
  <?php 
  if(!empty($businessname))
  {
  	echo ': '.$businessname;
  }
  ?></h4>
  <div class="new-listing-vendor-profile">
    <div class="row"> 
      <div class="col-md-5">
        <div class="vendor-profile-img">
          <img src="<?php echo esc_url($user_custom_picture);?>" class="img-responsive">
        </div>
      </div>
      <div class="col-md-7">
        <div class="vendor-pro-section">
          <ul>
          	<?php 
			if(isset($address) && !empty($address)){
				
				echo '<li><i class="fa fa-map-marker" aria-hidden="true"></i> '.$address.'</li>';
			}
			// if(isset($item_vendor_email) && !empty($item_vendor_email)){
				
			// 	echo '<li><i class="fa fa-envelope-o" aria-hidden="true"></i> <a href="mailto:'.$item_vendor_email.'">'.$item_vendor_email.'</a></li>';
			// }

			if($user_package_phone=='Yes')
			{
				if(isset($item_phone) && !empty($item_phone)){
					
					echo '<li><i class="fa fa-mobile-phone" aria-hidden="true"></i> '.$item_phone.'</li>';
				}

			}

			if($user_package_website=='Yes')
			{
				if(isset($item_website) && !empty($item_website)){
					
					echo '<li><i class="fa fa-globe" aria-hidden="true"></i> <a href="'.$item_website.'" target="_blank">'.$item_website.'</a></li>';
				}
			}
			?>
          </ul>
        </div>
        <?php 
        if($user_package_share=='Yes')
        {        	
        ?>
        <ul class="social-btns">
			<?php
			if(isset($item_facebook) && !empty($item_facebook)){
				echo '<li><a class="btn facebook" href="'.esc_url($item_facebook).'" target="_blank"><i class="fa fa-facebook"></i></a></li>';
			}

			if(isset($item_twitter) && !empty($item_twitter)){
				echo '<li><a class="btn twitter" href="'.esc_url($item_twitter).'" target="_blank"><i class="fa fa-twitter"></i></a></li>';
			}
			if(isset($item_linkedin) && !empty($item_linkedin)){
				echo '<li><a class="btn linkedin" href="'.esc_url($item_linkedin).'" target="_blank"><i class="fa fa-linkedin"></i></a></li>';
			}

			if(isset($item_instagram) && !empty($item_instagram)){
				echo '<li><a class="btn instagram" href="'.esc_url($item_instagram).'" target="_blank"><i class="fa fa-instagram"></i></a></li>';
			}
			?>
        </ul>
    	<?php } ?>
      </div>
    </div>
  </div>
	<?php echo wp_kses_post($about_me); ?>
</div>