<?php 
$show_sidebar='none';
global $post;

if(function_exists('is_woocommerce'))
{
	if(is_woocommerce() || is_cart() || is_checkout() || is_account_page())
	{
		if(is_shop())
		{
			$page_id  	= wc_get_page_id( 'shop' );	
		}
		else if(is_cart())
		{
			$page_id  	= wc_get_page_id( 'cart' );	
		}
		else if(is_checkout())
		{
			$page_id  	= wc_get_page_id( 'checkout' );	
		}	
		else if(is_account_page())
		{
			$page_id  	= wc_get_page_id( 'myaccount' );	
		}		

		$show_sidebar 	= get_post_meta( $page_id, 'show_sidebar', true );
		$sidebar_select = get_post_meta( $page_id, 'sidebar_select', true );
		
		if(  $show_sidebar != '' )
			 $show_sidebar = get_post_meta( $page_id, 'show_sidebar', true );
		else $show_sidebar = esc_html("right");

		if(  $sidebar_select != '' )
			 $sidebar_select = get_post_meta( $page_id, 'sidebar_select', true );
		else $sidebar_select = esc_html("sidebar-1");


		if(is_shop())
		{
			$show_sidebar  	= 'none';	
			$sidebar_select = 'none';
			$select_div_structure = 'container';
		}	

	}	
}
else if( is_page() || is_singular() && !is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	$sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	
	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	else $show_sidebar = esc_html("right");

	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");	

}
elseif( is_home() && is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("none");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");

}elseif( is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("right");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");

}else {

		if(is_shop())
		{
			$show_sidebar  	= 'none';	
			$sidebar_select = 'none';
			$select_div_structure = 'container';
		}	
		else{
			$show_sidebar   = esc_html("right");
			$sidebar_select = esc_html("sidebar-1");			
		}

}




$select_div_structure = get_post_meta( $post->ID, 'show_div_structure', true );

if(function_exists('is_woocommerce'))
{
	if(is_woocommerce()){	
	 	echo '<div class="woocommerce-main main-container">';	
	}
	else if(is_cart()){	
	 	echo '<div class="woocommerce-main main-container">';	
	} 
	else if(is_checkout()){	
	 	echo '<div class="woocommerce-main main-container">';	
	} 
	else if(is_account_page()){	
	 	echo '<div class="woocommerce-main">';	
	} 

	if(is_shop())
	{
		$show_sidebar  	= 'none';	
		$sidebar_select = '';
		$select_div_structure = '';
	}	

}
switch( $show_sidebar ){

	case 'right' :  

		switch( $select_div_structure  ):

			case "container":  		    echo '<div class="container ptb80">'; break;

			case "container-fluid":     echo '<div class="container-fluid">'; break;

			case "custom":  			echo '<div class="container-fluid">'; break;

			default:   					echo '<div class="container ptb80">'; break;

		endswitch;

		echo '<div class="row"><div class="col-lg-8 col-md-8 content">';
		
	break;

	case 'left' :

		switch( $select_div_structure  ):

			case "container":  		    echo '<div class="container ptb80">'; break;

			case "container-fluid":     echo '<div class="container-fluid">'; break;

			case "custom":  			echo '<div class="container-fluid">'; break;

			default:   					echo '<div class="container ptb80">'; break;

		endswitch;	

		echo '<div class="row"><div class="col-lg-4 col-md-4  blog-sidebar">';

		switch( $sidebar_select ){

			case $sidebar_select : if ( is_active_sidebar( $sidebar_select ) ) dynamic_sidebar( $sidebar_select );
			break;

			default : if ( is_active_sidebar( 'weddlist-page' ) ) dynamic_sidebar( 'weddlist-page' );
			break;
		}

		echo '</div><div class="col-lg-8 col-md-8 content-left">';
	
	break;

	case 'none' : 

		switch( $select_div_structure  ):

			case "container":  		    echo '<div class="container"><div class="row"><div class="col-lg-12 col-md-12 content">'; break;

			case "container-fluid":     echo '<div class="container-fluid"><div class="row"><div class="col-lg-12 col-md-12 content">'; break;

			case "custom":  			echo ''; break;

			default:   					echo '<div class="container"><div class="row"><div class="col-lg-12 col-md-12 content">'; break;

		endswitch;

	break;

	default :     

		switch( $select_div_structure  ):

			case "container":  		    echo '<div class="container ptb80">'; break;

			case "container-fluid":     echo '<div class="container-fluid">'; break;

			case "custom":  			echo '<div class="container-fluid">'; break;

			default:   					echo '<div class="container ptb80">'; break;

		endswitch;	

		echo '<div class="row"><div class="col-md-12 content">';

	break;
}
?>