<?php 
$meta_query          =  array();
$k                   =  1;
$row_col             =  3;
$item_capacity       =  '';
$map_list            =  '';
$category_type_array =  '';
$category_type_id    =  ''; 
$location_id         =  ''; 
$location_array      =  '';
$price_low           =  '';
$price_max           =  '';
$listingname        = '';
$currency_code       =  tg_option('currency_symbols');

if( isset($_GET['price_low']) && is_numeric($_GET['price_low'])){
	$price_low = intval($_GET['price_low']);
}

if( isset($_GET['listingname']) && !empty($_GET['listingname'])){
  $listingname = $_GET['listingname'];
}

if( isset($_GET['price_max'])  && is_numeric($_GET['price_max']) ){
	$price_max          = intval($_GET['price_max']);
	$price['key']       = 'item_price';
	$price['value']     = array($price_low, $price_max);
	$price['type']      = 'numeric';
	$price['compare']   = 'BETWEEN';
	$meta_query[]       = $price;
}

if (isset($_GET['location']) && $_GET['location'] != '') {
	$location_id=$_GET['location'];
}
 //////////// end for city taxonomy

if (isset($_GET['category_type']) && $_GET['category_type'] != 'all' && $_GET['category_type'] != '' ) {
	$taxcity[]  = sanitize_title ( $_GET['category_type'] );
	$category_type_array = array(
		'taxonomy'  => 'itemcategory',
		'field'     => 'id',
		'terms'     => $taxcity
	);	
	$category_type_id=$_GET['category_type'];	
}

?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-5 pad-lft-0 pad-rt-0">
            <div id="map" class="maping"></div>
            <div id="mappage" data-site-url="<?php echo esc_url(home_url('/')); ?>"></div>          
        </div>      
        <div class="col-md-7">
            <div class="listing-with-leftmap-block pt20 pb30">
                <div class="refine-search">
                  <h4 class="refine-search-heading"><?php esc_html_e('Refine Your Search','weddlist');?></h4>
                  <form method="get" id="search-form">
                    <div class="form-search">
                      <div class="row">
                        <div class="col-md-11 col-sm-12 mt35 form-group">
                          <?php echo weddlist_get_price_filter($currency_code); ?>
                        </div>                            
                      </div>  
                      <div class="row">
                        <div class="col-md-3 form-group">
                          <input type="text" name="listingname" id="listingname" class="form-control" value="<?php echo $listingname; ?>" placeholder="<?php esc_html_e('Type Vendor Name','weddlist'); ?>" />
                        </div>                        
                        <div class="col-md-3 col-sm-6 form-group">
                          <div class="select-category-dropdown">
                            <?php 
                            echo weddlist_item_filter_category($category_type_id);
                            ?>                        
                          </div>
                        </div>
                        <div class="col-md-4 col-sm-6 form-group">
                          <div class="select-city-dropdown">
                            <?php 
                            echo weddlist_item_filter_location($location_id);
                            ?>
                          </div>
                        </div>                
                        <div class="col-md-2 col-sm-6">
                          <div class="search-btn">
                            <button type="button" id="btn-search-on" class="btn trigger-call btn-pink"><?php esc_html_e('Search','weddlist');?></button>
                          </div>
                        </div>
                          
                      </div>
                    </div>
                  </form>
                </div>
                <div id="item_results"></div>
            </div>
          </div>
    </div>
</div>
<?php 
$map_layout=tg_option('map_layout');  
$mapbox_key=tg_option('mapbox_key'); 
?>  
<input type="hidden" name="map_diplay" id="map_diplay" value="<?php echo esc_html($map_layout); ?>" />  
<input type="hidden" name="map_key" id="map_key" value="<?php echo esc_html($mapbox_key); ?>" />     
    