 ///////////////////////////////////////////////////////////////////////////////////////////  
  ////////  profile uploader
  ////////////////////////////////////////////////////////////////////////////////////////////   
  jQuery(document).ready(function($) {
     "use strict";

    var image_upload_total_limit=$("#image_value").data("image_upload_total_limit");
    var image_uploaded_images=$("#image_value").data("image_uploaded_images");

    var maxfile= parseInt(image_upload_total_limit) - parseInt(image_uploaded_images);    
  
      if (typeof(plupload) !== 'undefined') {
            var uploader = new plupload.Uploader(ajax_vars.plupload);
            uploader.init();
            uploader.bind('FilesAdded', function (up, files) {

            image_upload_total_limit=$("#image_value").data("image_upload_total_limit");
            image_uploaded_images=$("#image_value").data("image_uploaded_images");

            maxfile= parseInt(image_upload_total_limit) - parseInt(image_uploaded_images);

              if(files.length<=maxfile)
              {                              
                  $.each(files, function (i, file) {

                      // Vendor Plan Image Limit set here

                      var image_uploaded_images=$("#image_value").data("image_uploaded_images");
            
                      $("#image_value").data("image_uploaded_images", parseInt(image_uploaded_images)+files.length);
                       
                      $('#aaiu-upload-imagelist').append(
                          '<div id="' + file.id + '">' +
                          file.name + ' (' + plupload.formatSize(file.size) + ') <b></b>' +
                          '</div>');
                  });

                  up.refresh(); // Reposition Flash/Silverlight
                  uploader.start();
              }
              else
              {
                  //alert("Please upload images as per your plan limit.");
                  var image_upload_total_limit=$("#image_value").data("image_upload_total_limit");

                  $('#aaiu-upload-imagelist').append("<div>Error: Limit "+image_upload_total_limit+" Images,Message:Please upload images as per your plan limit.</div>");
                  up.splice();
                  up.refresh(); // Reposition Flash/Silverlight 
              }   
            });

            uploader.bind('UploadProgress', function (up, file) {
                $('#' + file.id + " b").html(file.percent + "%");
            });

            // On erro occur
            uploader.bind('Error', function (up, err) {
                $('#aaiu-upload-imagelist').append("<div>Error: " + err.code +
                    ", Message: " + err.message +
                    (err.file ? ", File: " + err.file.name : "") +
                    "</div>"
                );   
                up.refresh(); // Reposition Flash/Silverlight
            });



            uploader.bind('FileUploaded', function (up, file, response) {
            
                var result = $.parseJSON(response.response);
                 
             
                $('#' + file.id).remove();
                if (result.success) {               
                   
                    $('#profile-image').attr('src',result.html);
                    $('#profile-image').attr('data-profileurl',result.html);
                    $('#profile-image').attr('data-smallprofileurl',result.attach);
                    
                    var all_id=$('#attachid').val();
                    all_id=all_id+","+result.attach;
                    $('#attachid').val(all_id);
                            
                    if (result.html!==''){
                            $('#imagelist').append('<div class="uploaded_images" data-imageid="'+result.attach+'"><img src="'+result.html+'" alt="thumb" /><i class="fa deleter fa-trash-o"></i> </div>');
                        
                    }else{
                        $('#imagelist').append('<div class="uploaded_images" data-imageid="'+result.attach+'"><img src="'+ajax_vars.path+'/img/pdf.png" alt="thumb" /><i class="fa deleter fa-trash-o"></i> </div>');
                    
                    }
                    delete_binder();
                    thumb_setter();
                }
            });

     

                  
 }
 
 });
 function thumb_setter(){
  
    jQuery('#imagelist img').click(function(){
    
        jQuery('#imagelist .uploaded_images .thumber').each(function(){
            jQuery(this).remove();
        });

        jQuery(this).parent().append('<i class="fa thumber fa-star"></i>')
        jQuery('#attachthumb').val(   jQuery(this).parent().attr('data-imageid') );
    });   
 }
 
 
 
 function delete_binder(){
      jQuery('#imagelist i').click(function(){
          var curent='';  
          jQuery(this).parent().remove();
          
          jQuery('#imagelist .uploaded_images').each(function(){
             curent=curent+','+jQuery(this).attr('data-imageid'); 
          });
          jQuery('#attachid').val(curent); 

          var image_uploaded_images=$("#image_value").data("image_uploaded_images");

          $("#image_value").data("image_uploaded_images", parseInt(image_uploaded_images)-1);
          
      });
           
 }
 delete_binder();
 thumb_setter();