<?php 
// Add Upload fields to "Add New Taxonomy" icon form
function weddlist_add_itemcategory_breadcumb_imgage_field() {
	// this will add the custom meta field to the add new term page
	if(isset($icon_image))	
	$itemcategory_breadcumb_image=$icon_image;
	else 
	$itemcategory_breadcumb_image='';
	
	?>
	<div class="form-field">
		<label for="itemcategory_breadcumb_image"><?php esc_html_e( 'Category Breadcunb Image:', 'weddlist' ); ?></label>
		<input type="text" name="itemcategory_breadcumb_image[image]" id="itemcategory_breadcumb_image[image]" class="categories-images text-upload" value="<?php echo $itemcategory_breadcumb_image; ?>">
		<input class="upload_image_button button button-upload" name="_add_itemcategory_breadcumb_image" id="_add_itemcategory_breadcumb_image" type="button" value="<?php esc_html_e( 'Upload Iamge', 'weddlist' ); ?>" />
        <div class="img-wrap" id="call_preview">
        </div>
	</div>
<?php
}
add_action( 'itemcategory_add_form_fields', 'weddlist_add_itemcategory_breadcumb_imgage_field', 10, 2 );

// Add Upload fields to "Edit Taxonomy" form
function weddlist_itemcategory_breadcumb_image_edit_meta_field($term) {
 
	// put the term ID into a variable
	$t_id = $term->term_id;
	$icon_image='';
 
	// retrieve the existing value(s) for this meta field. This returns an array
	$term_meta = get_option( "breadcumb_itemcategory_$t_id" ); ?>
	
	<tr class="form-field">
	<th scope="row" valign="top"><label for="_itemcategory_breadcumb_image"><?php esc_html_e( 'Category Breadcunb Image', 'weddlist' ); ?></label></th>
		<td>
			<?php
				$icon_image = esc_attr( $term_meta['image'] ) ? esc_attr( $term_meta['image'] ) : ''; 
				?>
			<input type="text" name="itemcategory_breadcumb_image[image]" id="itemcategory_breadcumb_image[image]" class="categories-images text-upload" value="<?php echo $icon_image; ?>">
			<input class="upload_image_button button button-upload" name="_itemcategory_breadcumb_image" id="_itemcategory_breadcumb_image" type="button" value="<?php esc_html_e( 'Upload Iamge', 'weddlist' ); ?>" />
		</td>
	</tr>
	<tr class="form-field">
	<th scope="row" valign="top"></th>
		<td style="height: 150px;">
			<div class="img-wrap" id="call_preview">
				<img src="<?php echo $icon_image; ?>" id="icon-img" class="preview-upload">
			</div>
		</td>
	</tr>
<?php
}
add_action( 'itemcategory_edit_form_fields', 'weddlist_itemcategory_breadcumb_image_edit_meta_field', 10, 2 );

// Save Taxonomy Image fields callback function.
function weddlist_itemcategory_save_icon_custom_meta( $term_id ) {
	if ( isset( $_POST['itemcategory_breadcumb_image'] ) ) {
		$t_id = $term_id;
		$term_meta = get_option( "breadcumb_itemcategory_$t_id" );
		$cat_keys = array_keys( $_POST['itemcategory_breadcumb_image'] );
		foreach ( $cat_keys as $key ) {
			if ( isset ( $_POST['itemcategory_breadcumb_image'][$key] ) ) {
				$term_meta[$key] = $_POST['itemcategory_breadcumb_image'][$key];
			}
		}
		// Save the option array.
		update_option( "breadcumb_itemcategory_$t_id", $term_meta );
	}
}  
add_action( 'edited_itemcategory', 'weddlist_itemcategory_save_icon_custom_meta', 10, 2 );  
add_action( 'create_itemcategory', 'weddlist_itemcategory_save_icon_custom_meta', 10, 2 );
?>