<?php 
/* - For Location
==========================================================*/
function weddlist_elementor_get_location_options($all=0){

  $terms_location = get_terms( 'location', array('orderby'    => 'name' ) );

  if($all=='all')
  {
    $catlist[''] = esc_html__('Select Location','weddlist-elementor');
  }

  if ( $terms_location && ! is_wp_error( $terms_location ) ) { 
        foreach( $terms_location as $term ) {
          (int)$catlist[$term->term_id] = $term->name;
        }

  }  
  else{
        (int)$catlist['0'] = esc_html__('None Found, Add Location in Wp-admin >> Item >> Location', 'weddlist-elementor');
    }
   return $catlist;

}

/* - For Location
==========================================================*/
function weddlist_elementor_get_itemcategory_options($all=0){

  $terms_itemcategory = get_terms( 'itemcategory', array('orderby'    => 'name' ) );

  if($all=='all')
  {
    $catlist[''] = esc_html__('Select Location','weddlist-elementor');
  }


  if ( $terms_itemcategory && ! is_wp_error( $terms_itemcategory ) ) { 
        foreach( $terms_itemcategory as $term ) {
          $catlist[$term->term_id] = $term->name;
        }

  }  
  else{
        (int)$catlist['0'] = esc_html__('None Found, Add Location in Wp-admin >> Item >> Category', 'weddlist-elementor');
    }
   return $catlist;

}


/* - For Contact Form 7
==========================================================*/
if ( ! function_exists( 'get_contact_form_7_posts' ) ) :

  function get_contact_form_7_posts(){

  $args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);

    $catlist=[];
    
    if( $categories = get_posts($args)){
    	foreach ( $categories as $category ) {
    		(int)$catlist[$category->ID] = $category->post_title;
    	}
    }
    else{
        (int)$catlist['0'] = esc_html__('None Found, Install & Make Contact forms', 'weddlist-elementor');
    }
  return $catlist;
  }

endif;