<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package weddlist
 */
get_header(); ?>
<div class="main-container blog-main-block">
    <div class="container">
		<div class="row">
			<div class="col-sm-8 content-left">
            <?php
            if ( have_posts() ) :
			
                /* Start the Loop */
                while ( have_posts() ) : the_post();
    
                    /**
                     * Run the loop for the search to output the results.
                     * If you want to overload this in a child theme then include a file
                     * called content-search.php and that will be used instead.
                     */
                    get_template_part( 'template-parts/content', get_post_format() );
    
                endwhile;    
				weddlist_pagination();    
            else :    
                get_template_part( 'template-parts/content', 'none' );    
            endif; ?>
            </div>
            <div class="col-sm-4 blog-sidebar">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
