/**
 * Wedding
 *
 * This file contains all template JS functions
 *
 * @package Weddlist
----------------------------

--------------------------------------------------------------*/

(function($) {
"use strict";   

var $window = $( window )
var datepick = $( '.date-pick' )
var counter = $( '.counter' )
var amount = $( '#amount' )
var search = $( '.search-header' )  


   // Navigation / Menu

  if($('#cssmenu').hasClass('hasmenu'))
  {
    $("#cssmenu").menumaker({
      title: "Menu",
      format: "multitoggle"
    });
  }    

// Search
  $('.search-icon').on('click', function (e) {
    e.preventDefault();
    $(search).addClass('active');
  });

  $('.search-close').on('click', function (e) {
    e.preventDefault();
    $(search).removeClass('active');
  });
 
  // Date
  if($('.book_date').hasClass('check_book_date'))
  {
    $('.book_date').datepicker({
    	dateFormat : 'yy-mm-dd',
    	minDate: 1
    });
  }

  // Date
  if($('.book_date').hasClass('pastdate_book'))
  {
    $('.pastdate_book').datepicker({
      dateFormat : 'yy-mm-dd'
    });
  }  

	// Price Slider / Filter
	// if($('#price-range').hasClass('pricing_range'))
	// {    
	// 	"use strict";	
 //    var max_price=$( "#maximum_price" ).val();
 //    if(max_price=="")
 //    {
 //      var max_price=200000; 
 //    }

 //    $( "#price-range" ).slider({
	// 				range: true,
	// 				min: 1,
	// 				max: max_price,
	// 				values: [ 1, max_price],
	// 				slide: function( event, ui ) {
	// 					$( "#amount" ).html( " " + ui.values[ 0 ] + " - " + ui.values[ 1 ] );
	// 					$("#min_price").val(ui.values[ 0 ]);
	// 					$("#max_price").val(ui.values[ 1 ]);
						
	// 				}
	// 			});
	// 	$( "#amount" ).html( " " + $( "#price-range" ).slider( "values", 0 ) + 	" - " + $( "#price-range" ).slider( "values", 1 ) );
	// 		$("#min_price").val($( "#price-range" ).slider( "values", 0 ));
	// 		$("#max_price").val($( "#price-range" ).slider( "values", 1 ));
	// }	



  if($('#weddlist-radius-slider').hasClass('weddlist-radius-slider'))
  {
    //$( "#price-range" ).slider( 'disable' );
    var count = 0;

    $("#weddlist-radius-slider").click(function() {
        count++;
        var isEven = function(someNumber) {
            return (someNumber % 2 === 0) ? true : false;
        };
        if (isEven(count) === false) {
            $( "#radius-range" ).slider( 'enable' );
            $( "#radius-range" ).removeClass('radius_slider_disable');
            $( "#weddlist-radius-slider" ).addClass('radius_btn_active');
            $( "#radius_range_filter" ).val( 'on' );

             if (navigator.geolocation) {
              navigator.geolocation.getCurrentPosition(showPosition);
            } else { 
              alert("Geolocation is not supported by this browser.");
            }

        } else if (isEven(count) === true) {
           $( "#radius-range" ).addClass('radius_slider_disable');
           $( "#weddlist-radius-slider" ).removeClass('radius_btn_active');
           $( "#radius-range" ).slider( 'disable' );
           $( "#radius_range_filter" ).val( '0' );
        }
    });
  }

function showPosition(position) {
  $( "#radius_latitude" ).val( position.coords.latitude );
  $( "#radius_longitude" ).val( position.coords.longitude );
}


  if($('#weddlist-price-slider').hasClass('weddlist-price-slider'))
  {
    //$( "#price-range" ).slider( 'disable' );
    var count = 0;

    $("#weddlist-price-slider").click(function() {
        count++;
        var isEven = function(someNumber) {
            return (someNumber % 2 === 0) ? true : false;
        };
        if (isEven(count) === false) {
            $( "#price-range" ).slider( 'enable' );
            $( "#price-range" ).removeClass('pricing_slider_disable');
            $( "#weddlist-price-slider").addClass('pricing_btn_active');
            $( "#price_range_filter" ).val( 'on' );
        } else if (isEven(count) === true) {
           $( "#price-range" ).addClass('pricing_slider_disable');
           $( "#weddlist-price-slider" ).removeClass('pricing_btn_active');
           $( "#price-range" ).slider( 'disable' );
           $( "#price_range_filter" ).val( '0' );
        }
    });

  }  
  //$( "#price-range" ).slider( 'disable' );
	// Smooth Scroll
    //smoothScroll.init();

  if ($('input.rating-tooltip').length > 0) { 
    $('input.rating-tooltip').rating({
      clearable: true
    });
  }  
 
	// Display Password Modal Popuo
  if ($('#resetpassword').length > 0) { 
    $("#resetpassword").modal('show');
  } 
 
  if ($('.basic-dropdown').length > 0) { 
    $('.basic-dropdown').select2();
  }  

  if ($('#pa_color').length > 0) { 
    $('#pa_color').select2();
  }  

  if ($('.orderby').length > 0) { 
    $('.orderby').select2();
  }  

  if ($('.gallery-block').length > 0) { 

    // Popup Dialog    
    $('.gallery-block').magnificPopup({
      delegate: 'a',
      type: 'image',    
      tLoading: 'Loading image #%curr%...',
      mainClass: 'mfp-img-mobile',    
      gallery: {
        enabled: true,
        navigateByImgClick: true,
        preload: [0,1] // Will preload 0 - before current, and 1 after the current image
      },
      image: {
        tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
        titleSrc: function(item) {
          return item.el.attr('title') + '<small></small>';
        }
      }
    });

  }  

	// Signup and Signin Form
	$(".signupclick").on('click' , function() {  
		$('.vendorsignupbox').hide();
		$('.signinbox').hide();
		$('.forgotpasswordbox').hide();
		$('.signupbox').fadeIn();
	 });
	$(".signinclick").on('click' , function() {  
		$('.vendorsignupbox').hide();
		$('.signupbox').hide();
		$('.forgotpasswordbox').hide();
		$('.signinbox').fadeIn();
	 });
	$(".forgotpasswordclick").on('click' , function() { 
		$('.vendorsignupbox').hide();
		$('.signupbox').hide();
		$('.signinbox').hide();
		$('.forgotpasswordbox').fadeIn();
	 });
	$(".cancelclick").on('click' , function() { 
		$('.vendorsignupbox').hide();
		$('.signupbox').hide();
		$('.forgotpasswordbox').hide();
		$('.signinbox').fadeIn();
	 });

	$(".vendorsignupclick").on('click' , function() {  
		$('.signinbox').hide();
		$('.forgotpasswordbox').hide();
		$('.signupbox').hide();
		$('.vendorsignupbox').fadeIn();	
	 });


    // Feature Profile Slider  
     if ( $('#feature-profile-slider').length) {  
        
        $("#feature-profile-slider").owlCarousel({
            loop: true,
            items: 4,
            dots: false,
            nav: true,
            autoplayTimeout: 9000,
            smartSpeed: 3000,
            autoHeight: false,
            touchDrag: true,
            mouseDrag: true,
            margin: 0,
            autoplay: true,
            slideSpeed: 1000,
            navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
            responsive: {
              0: {
                  items: 1,
                  nav: false,
                  dots: false,
              },
              600: {
                  items: 1,
                  nav: false,
                  dots: false,
              },
              768: {
                  items: 2,
                  nav: false,
                  dots: false,
              },
              1100: {
                  items: 4,
                  nav: true,
                  dots: false,
              }
            }
          });
    }
    

    // Testimonials Slider    
    $("#testimonials-slider").owlCarousel({
      loop: true,
      items: 2,
      dots: false,
      nav: true,
      autoplayTimeout: 9000,
      smartSpeed: 3000,
      autoHeight: false,
      touchDrag: true,
      mouseDrag: true,
      margin: 0,
      autoplay: true,
      slideSpeed: 1000,
      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
            items: 1,
            nav: false,
            dots: false,
        },
        600: {
            items: 1,
            nav: false,
            dots: false,
        },
        768: {
            items: 1,
            nav: false,
            dots: false,
        },
        1100: {
            items: 2,
            nav: true,
            dots: false,
        }
      }
    });
    
	  // Testimonials Slider    
    $("#testimonials-slider2").owlCarousel({
      loop: true,
      items: 1,
      dots: false,
      nav: true,
      autoplayTimeout: 2500,
      smartSpeed: 2000,
      autoHeight: false,
      touchDrag: true,
      mouseDrag: true,
      margin: 0,
      animateIn: 'fadeIn',
      animateOut: 'fadeOut',
      autoplay: true,
      slideSpeed: 600,
      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
            items: 1,
            nav: false,
            dots: false,
        },
        600: {
            items: 1,
            nav: false,
            dots: false,
        },
        768: {
            items: 1,
            nav: false,
            dots: false,
        },
        1100: {
            items: 1,
            nav: true,
            dots: false,
        }
      }
    });
    


    // Gallery Slider    
    $("#gallery-slider").owlCarousel({
      loop: true,
      items: 5,
      dots: false,
      nav: false,
      autoplayTimeout: 2000,
      smartSpeed: 2000,
      autoHeight: false,
      touchDrag: true,
      mouseDrag: true,
      margin: 0,
      autoplay: true,
      slideSpeed: 600,
      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
            items: 1,
            nav: false,
            dots: false,
        },
        600: {
            items: 1,
            nav: false,
            dots: false,
        },
        768: {
            items: 2,
            nav: false,
            dots: false,
        },
        1100: {
            items: 5,
            nav: false,
            dots: false,
        }
      }
    });

    $("#home-featured-slider").owlCarousel({
      loop: true,
      items: 3,
      dots: true,
      nav: false,
      autoplayTimeout: 4500,
      smartSpeed: 3000,
      autoHeight: false,
      touchDrag: true,
      mouseDrag: true,
      margin: 0,
      autoplay: true,
      slideSpeed: 600,
      navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
            items: 1,
        },
        600: {
            items: 1,
        },
        768: {
            items: 2,
        },
        1100: {
            items: 3,
        }
      }
    });

   if($("#new-lsiting-gallery-slider").hasClass('new-listing-gallery-slider'))
   {
		var images = $( "#new-lsiting-gallery-slider" ).data('images-num');

		if(images > 4 ) {
			images = 4;
		}	   
	   
		$("#new-lsiting-gallery-slider").owlCarousel({
		  loop: true,
		  items: images,
		  dots: false,
		  nav: false,
		  autoplayTimeout: 5500,
		  smartSpeed: 2000,
		  margin: 0,
		  autoplay: true,
		  slideSpeed: 300,
		  responsive: {
			0: {
				items: 1,
				nav: false,
				dots: false,
			},
			600: {
				items: 1,
				nav: false,
				dots: false,
			},
			1100: {
				items: images,
			}
		  }
		});	
	}

  if(jQuery(".weddlist_editor").length)
  {
    jQuery(".weddlist_editor").jqte();
  }
	// Preloader   
	  $window.on('load', function()  { 
		$('.status').fadeOut();
		$('.preloader').delay(350).fadeOut('slow'); 
	  });  
	
   jQuery('.tool-tip').tipsy({
      arrowWidth: 10,
      attr: 'data-tipsy', 
      cls: null, 
      duration: 150, 
      offset: 7,
      position: 'top-center', 
      trigger: 'hover',
  });

  jQuery(".new-listing-nav-tabs a").click(function(){
    jQuery(this).tab('show');
  });


})(jQuery);	

jQuery(document).ready(function($) {

   if($('#pagegallery').hasClass('pagegallery'))
  {
    $(".pagegallery").slick({
      dots: false,
      infinite: true,
      speed: 300,
      slidesToShow: 2,
      centerMode: true,
      adaptiveHeight: true,
      variableWidth: true,
      arrows: true,
      prevArrow:"<button type='button' class='slick-prev-new'><i class='fa fa-angle-left' aria-hidden='true'></i></button>",
      nextArrow:"<button type='button' class='slick-next-new'><i class='fa fa-angle-right' aria-hidden='true'></i></button>"            
    });   
  } 
});



/* ----------------- Start Document ----------------- */



jQuery(document).ready(function(){


  /*--------------------------------------------------*/
  /*  Mobile Menu - mmenu.js
  /*--------------------------------------------------*/
    function weddlistMenuInit() {
      var wi = jQuery(window).width();
      if(wi <= '1024') {

        jQuery(".mmenu-init" ).remove();
        jQuery("#navigation").clone().addClass("mmenu-init").insertBefore("#navigation").removeAttr('id').removeClass('weddlist-navbar style-2')
                .find('ul, div').removeClass('weddlist-navbar weddlist-navbar2').removeAttr('id');
        jQuery(".mmenu-init").find("ul").addClass("mm-listview");
        jQuery(".mmenu-init").find(".mobile-styles .mm-listview").unwrap();


        jQuery(".mmenu-init").mmenu({
          "counters": true
        }, {
         // configuration
         offCanvas: {
            pageNodetype: "#main-content"
         }
        });

        var weddlistMenuAPI = jQuery(".mmenu-init").data( "mmenu" );
        var $icon = jQuery(".mobilebar");

        jQuery(".mmenu-trigger").click(function() {
          weddlistMenuAPI.open();
        });

        weddlistMenuAPI.bind( "open:finish", function() {
           setTimeout(function() {
              $icon.addClass( "is-active" );
           });
        });
        weddlistMenuAPI.bind( "close:finish", function() {
           setTimeout(function() {
              $icon.removeClass( "is-active" );
           });
        });


      }
      jQuery(".mm-next").addClass("mm-fullsubopen");
    }
    weddlistMenuInit();
    jQuery(window).resize(function() { weddlistMenuInit(); });

    /*  User Menu */
    jQuery('.user-menu').on('click', function(){
    jQuery(this).toggleClass('active');
  });


    // Closes notification dropdown on click outside the conatainer
  var mouse_is_inside = false;

  jQuery( ".user-menu" ).on( "mouseenter", function() {
    mouse_is_inside=true;
  });
  jQuery( ".user-menu" ).on( "mouseleave", function() {
    mouse_is_inside=false;
  });

  jQuery("body").mouseup(function(){
      if(! mouse_is_inside) jQuery(".user-menu").removeClass('active');
  });

  });


