jQuery(document).ready(function($) {
    // Perform AJAX login on form submit
    $('form#couplesignin').on('submit', function(e){
 	    $('form#couplesignin p.status').show().html(ajax_login_object.loadingmessage);
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: { 
                'action': 'ajax_couple_login', //calls wp_ajax_nopriv_ajaxlogin
                'username': $('form#couplesignin #username').val(), 
                'password': $('form#couplesignin #password').val(), 
                'security': $('form#couplesignin #security').val() },
            success: function(data){
                $('form#couplesignin p.status').html(data.message);
                if (data.loggedin == true){
					if(data.usertype=='couple')
					{
						document.location.href = ajax_login_object.couple_redirect_url;
					}
					else if(data.usertype=='vendor'){
						document.location.href = ajax_login_object.vendor_redirect_url;
					}
					else{
						document.location.href = ajax_login_object.redirecturl;
					}
                    
                }
            }
        });
        e.preventDefault();
    });
	
	// Perform AJAX login on form submit
    $('form#couplesignup').on('submit', function(e){
        $('form#couplesignup p.status').show().html(ajax_login_object.loadingmessage);
        $.ajax({
			type: 'POST',
            dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: { 
                'action': 'weddlist_ajax_couple_register', //calls wp_ajax_nopriv_ajaxregister
                'username': $('form#couplesignup #coupleusername').val(), 
                'email': $('form#couplesignup #coupleemail').val(), 
				'password': $('form#couplesignup #couplepassword').val(), 
				'wedding_date': $('form#couplesignup #wedding_date').val(), 

                'security': $('form#couplesignup #couplesecurity').val() },
				
            success: function(data){
                $('form#couplesignup p.status').html(data.message);
				if(data.register==true)
				{
					document.location.href = ajax_login_object.couple_redirect_url;
				}
            }
        });
        e.preventDefault();
    });

	// Perform AJAX login on form submit
    $('form#vendorsignup').on('submit', function(e){
        $('form#vendorsignup p.status').show().html(ajax_login_object.loadingmessage);
        $.ajax({
			type: 'POST',
            dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: { 
                'action': 'weddlist_ajax_vendor_register', //calls wp_ajax_nopriv_ajaxregister
                'username': $('form#vendorsignup #vendorusername').val(), 
                'email': $('form#vendorsignup #vendoremail').val(),
				'password': $('form#vendorsignup #vendorpassword').val(), 
                'security': $('form#vendorsignup #vendorsecurity').val() },
				
            success: function(data){
            	$('form#vendorsignup p.status').html(data.message);
                if(data.register==true)
				{
					document.location.href = ajax_login_object.vendor_redirect_url;
				}
            }
        });
        e.preventDefault();
    });

	jQuery('#wp_forgot').on('click', function (e){ 
   
    	var  forgot_email, securityforgot;		

        forgot_email          =  $('#forgotemail').val();
		
		$.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			data: {
				'action'            :   'weddlist_ajax_forgot_pass',
				'forgot_email'      :   forgot_email,
			},
	
			success: function (data) {
			
			$('#forgot_email').val('');
			
			$('#forgot_pass_area').show().html('<div class="login-alert">' + data + '</div>');        
				
			},
			error: function (errorThrown) {
			}
		});

        e.preventDefault();
		return false;
    });


	// Perform AJAX add-listing-on on form submit
     jQuery("form#add-listing").validate();

	 jQuery("form#add-listing").on('submit', function(e){
	    if (!jQuery("form#add-listing").valid()) return false;
        jQuery('.status', this).show().html(ajax_login_object.loadingmessage);


        var form = jQuery('form').attr('id');
        var formid ='#'+form;

		action = 'weddlist_ajax_add_listing';

		add_title = jQuery(formid+' #add_title').val();		

		if (jQuery("#wp-add_content-wrap").hasClass("tmce-active")){
			add_content=tinyMCE.getContent('add_content');
		}else{
			add_content=jQuery(formid+' #add_content').val();
		}	

		add_min_price = jQuery(formid+' #add_min_price').val();
		add_max_price = jQuery(formid+' #add_max_price').val();
		add_address = jQuery(formid+' #add_address').val();
		add_latitude = jQuery(formid+' #gmaps-output-latitude').val();
		add_longitude = jQuery(formid+' #gmaps-output-longitude').val();
		add_video_url = jQuery(formid+' #add_video_url').val();
		add_item_cat = jQuery(formid+' #category_type').val();
		item_location = jQuery(formid+' #item_location').val();

		item_website = jQuery(formid+' #item_website').val();
		item_phone = jQuery(formid+' #item_phone').val();
		item_vendor_email = jQuery(formid+' #item_vendor_email').val();

		item_facebook = jQuery(formid+' #item_facebook').val();
		item_twitter = jQuery(formid+' #item_twitter').val();
		item_instagram = jQuery(formid+' #item_instagram').val();
		item_linkedin = jQuery(formid+' #item_linkedin').val();														
		
		security = jQuery(formid+' #security').val();
		ctrl = jQuery("#add-listing");

		attachid = jQuery(formid+' #attachid').val();
		attachthumb = jQuery(formid+' #attachthumb').val();

		var faq = jQuery("input[name^='faq']").map(function (idx, ele) {
		   return this.value
		}).get();

		var faqans = jQuery("[name^='faqans']").map(function (idx, elem) {
		  return this.value
		}).get();

		if(jQuery("#featured_listing").is(':checked'))
		{
			featured_listing=jQuery("#featured_listing").val();
		}	
		else{
			featured_listing=1;	
		}
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'add_title': add_title,
                'add_content': add_content,
				'add_min_price': add_min_price,
				'add_max_price': add_max_price,
				'add_address': add_address,
				'add_latitude': add_latitude,
				'add_longitude': add_longitude,
				'add_video_url': add_video_url,
				'add_item_cat': add_item_cat,
				'attachid': attachid,
				'featured_listing': featured_listing,
				'item_website': item_website,	
				'item_phone': item_phone,	
				'item_vendor_email': item_vendor_email,	
				'item_facebook': item_facebook,	
				'item_twitter': item_twitter,	
				'item_instagram': item_instagram,	
				'item_linkedin': item_linkedin,	
				'item_location': item_location,								
                'attachthumb': attachthumb,
                'faq': faq,	
                'faqans': faqans,	                													
                'security': security
            },
            success: function (data) {
				jQuery(formid+' #add_title').val('');
				jQuery(formid+' #add_content').val('');
				jQuery(formid+' #add_address').val('');
				jQuery(formid+' #add_min_price').val('');				
				
				jQuery('.status').show();
				jQuery('.status').html(data);
				
            }
        });
        return false;
    });	

	// Perform AJAX weddlist_ajax_edit_listing on form submit
     jQuery("form#edit-listing").validate();

	 jQuery("form#edit-listing").on('submit', function(e){
        
        if (!jQuery("form#edit-listing").valid()) return false;
        var form = jQuery('form').attr('id');
        var formid ='#'+form;
        jQuery('.status', this).show().html(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_edit_listing';
		add_title = jQuery(formid+' #add_title').val();

		if (jQuery("#wp-add_content-wrap").hasClass("tmce-active")){
			add_content=tinyMCE.getContent('add_content');
		}else{
			add_content=jQuery(formid+' #add_content').val();
		}		

		add_min_price = jQuery(formid+' #add_min_price').val();
		add_max_price = jQuery(formid+' #add_max_price').val();
		add_address = jQuery(formid+' #add_address').val();
		add_latitude = jQuery(formid+' #gmaps-output-latitude').val();
		add_longitude = jQuery(formid+' #gmaps-output-longitude').val();
		add_video_url = jQuery(formid+' #add_video_url').val();
		add_item_cat = jQuery(formid+' #category_type').val();
		item_location = $(formid+' #item_location').val();
		edit_id = jQuery(formid+' #edit_id').val();

		item_website = jQuery(formid+' #item_website').val();
		item_phone = jQuery(formid+' #item_phone').val();
		item_vendor_email = jQuery(formid+' #item_vendor_email').val();

		item_facebook = jQuery(formid+' #item_facebook').val();
		item_twitter = jQuery(formid+' #item_twitter').val();
		item_instagram = jQuery(formid+' #item_instagram').val();
		item_linkedin = jQuery(formid+' #item_linkedin').val();																		


		var faq = jQuery("input[name^='faq']").map(function (idx, ele) {
		   return this.value
		}).get();

		var faqans = jQuery("[name^='faqans']").map(function (idx, elem) {
		  return this.value
		}).get();

		if(jQuery("#featured_listing").is(':checked'))
		{
			featured_listing=jQuery("#featured_listing").val();
		}	
		else{
			featured_listing=1;	
		}
		
		security = jQuery(formid+' #security').val();
		ctrl = jQuery("#edit-listing");

		attachid = jQuery(formid+' #attachid').val();
		attachthumb = jQuery(formid+' #attachthumb').val();

		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'add_title': add_title,
                'add_content': add_content,
				'add_min_price': add_min_price,
				'add_max_price': add_max_price,
				'add_address': add_address,
				'add_latitude': add_latitude,
				'add_longitude': add_longitude,
				'add_video_url': add_video_url,
				'add_item_cat': add_item_cat,
				'featured_listing': featured_listing,	
				'item_website': item_website,	
				'item_phone': item_phone,	
				'item_vendor_email': item_vendor_email,	
				'item_facebook': item_facebook,	
				'item_twitter': item_twitter,	
				'item_instagram': item_instagram,	
				'item_linkedin': item_linkedin,													
				'attachid': attachid,
				'item_location': item_location,								
                'attachthumb': attachthumb,	
                'faq': faq,	
                'faqans': faqans,			
				'security': security,
				'edit_id': edit_id,
				
            },
            success: function (data) {
				jQuery('.status').show();
				jQuery('.status').html(data);
            }
        });
       return false;
    });	

	// Perform AJAX delete on form submit
	jQuery('.delete-on').on('click', function (e) {

  	var strconfirm = confirm("Are you sure you want " +this.title + " to delete?");
	if (strconfirm == true)
    {
        jQuery('.status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_delete_listing';
		delete_id = this.id;

		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
				'delete_id': delete_id,				
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('.status').show();
				jQuery('.status').html(data);
				jQuery('#manage_'+delete_id).remove();
				
            }
        });	  
    }

        e.preventDefault();
		return false;
    });		


	// Perform AJAX delete on form submit
	jQuery('.realweddingdelete-on').on('click', function (e) {

  	var strconfirm = confirm("Are you sure you want realwedding " +this.title + " to delete?");
	if (strconfirm == true)
    {
        jQuery('.status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_delete_realwedding';
		delete_id = this.id;

		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
				'delete_id': delete_id,				
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('.status').show();
				jQuery('.status').html(data);
				
            }
        });	  
    }

        e.preventDefault();
		return false;
    });	


	// Perform AJAX Add Review on form submit
	jQuery('#btn-submit-review').on('click', function (e) {
	
        if (!jQuery("form#add-review").valid()) return false;
        jQuery('.status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_add_review';
		review_title = jQuery('#add-review #review_title').val();		
		review_description = jQuery('#add-review #review_description').val();		
		rating = jQuery('#add-review #rating').val();
		item_id = jQuery('#add-review #item_id').val();
		
		security = jQuery('#add-review #security').val();
		ctrl = jQuery("#add-review");

	
		jQuery('#btn-submit-review').attr('disabled','disabled');
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'review_title': review_title,
                'review_description': review_description,
				'rating': rating,
				'item_id': item_id,
                'security': security
            },
            success: function (data) {
				jQuery('#add-review #review_title').val('');
				jQuery('#add-review #review_description').val('');

				jQuery('#btn-submit-review').removeAttr('disabled');;
				
				jQuery('#add-review .status').addClass('mt20');
				jQuery('#add-review .status').show();
				jQuery('#add-review .status').html(data);
				
            }
        });
        e.preventDefault();
    });	


	// Vendor AJAX user-profile on form submit
	jQuery('#user-profile-on').on('click', function (e) {

        if (!jQuery("#user-profile").valid()) return false;
        jQuery('#user-profile .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_vendor_profile';
		
		businessname = jQuery('#user-profile #businessname').val();
		firstname = jQuery('#user-profile #firstname').val();
		lastname = jQuery('#user-profile #lastname').val();
		website = jQuery('#user-profile #website').val();
		phone = jQuery('#user-profile #phone').val();
		address = jQuery('#user-profile #address').val();
		about = jQuery('#user-profile #about').val();
		
		weddingdate = jQuery('#user-profile #wedding_date').val();		
		weddingcity = jQuery('#user-profile #wedding_city').val();		
		weddingstate = jQuery('#user-profile #wedding_state').val();						
			

		facebook = jQuery('#user-profile #facebook').val();
		googleplus = jQuery('#user-profile #googleplus').val();
		twitter = jQuery('#user-profile #twitter').val();
		youtube = jQuery('#user-profile #youtube').val();
		linkedin = jQuery('#user-profile #linkedin').val();
		pinterest = jQuery('#user-profile #pinterest').val();
		instagram = jQuery('#user-profile #instagram').val();				
		
		security = jQuery('#user-profile #security').val();
		ctrl = jQuery("#user-profile");
		
        profile_image_url  = jQuery('#profile-image').attr('data-profileurl');
        profile_image_url_small  = jQuery('#profile-image').attr('data-smallprofileurl');	
	
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
				'businessname': businessname,
                'firstname': firstname,
                'lastname': lastname,
				'website': website,
				'phone': phone,
				'address': address,
				'about': about,				
                'facebook': facebook,
                'googleplus': googleplus,
				'twitter': twitter,
				'youtube': youtube,
				'linkedin': linkedin,
				'pinterest': pinterest,
				'instagram': instagram,				
                'profile_image_url' : profile_image_url,
                'profile_image_url_small' : profile_image_url_small,	                							
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#user-profile .status').show();
				jQuery('#user-profile .status').html(data);
            }
        });
        e.preventDefault();
    });	

	// Vendor AJAX couple-profile on form submit
	jQuery('#couple-profile-on').on('click', function (e) {

        if (!jQuery("#user-profile").valid()) return false;
        jQuery('#user-profile .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_couple_profile';
		firstname = jQuery('#user-profile #firstname').val();
		lastname = jQuery('#user-profile #lastname').val();
		phone = jQuery('#user-profile #phone').val();
		address = jQuery('#user-profile #address').val();
		
		weddingdate = jQuery('#user-profile #wedding_date').val();		
		weddingcity = jQuery('#user-profile #wedding_city').val();		
		weddingstate = jQuery('#user-profile #wedding_state').val();				

		partner_firstname = jQuery('#user-profile #partner_firstname').val();				
		partner_lastname = jQuery('#user-profile #partner_lastname').val();				

		security = jQuery('#user-profile #security').val();
		ctrl = jQuery("#user-profile");
		
        profile_image_url  = jQuery('#profile-image').attr('data-profileurl');
        profile_image_url_small  = jQuery('#profile-image').attr('data-smallprofileurl');
	
        partner_image_url  = jQuery('#partner-image').attr('data-profileurl');
        partner_image_url_small  = jQuery('#partner-image').attr('data-smallprofileurl');	


		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'firstname': firstname,
                'lastname': lastname,
				'phone': phone,
				'address': address,
				'weddingdate':weddingdate,
				'weddingcity':weddingcity,
				'weddingstate':weddingstate,
				'partner_firstname':partner_firstname,
				'partner_lastname':partner_lastname,							
                'profile_image_url' : profile_image_url,
                'profile_image_url_small' : profile_image_url_small,		
                'partner_image_url' : partner_image_url,
                'partner_image_url_small' : partner_image_url_small,	                						
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#user-profile .status').show();
				jQuery('#user-profile .status').html(data);
            }
        });
        e.preventDefault();
    });	


	// Perform AJAX weddlist_ajax_change_password on form submit
	jQuery('#change-password-on').on('click', function (e) {
		
        if (!jQuery("#change-password").valid()) return false;
        jQuery('#change-password .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_change_password';
		old_pwd = jQuery('#change-password #old_pwd').val();
		new_pwd = jQuery('#change-password #new_pwd').val();
		confirm_pwd = jQuery('#change-password #confirm_pwd').val();
		security = jQuery('#change-password #security').val();
		ctrl = jQuery("#change-password");
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'old_pwd': old_pwd,
                'new_pwd': new_pwd,
				'confirm_pwd': confirm_pwd,
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#change-password .status').show();
				jQuery('#change-password .status').html(data);
            }
        });
        e.preventDefault();
    });	

// Perform AJAX delete-user on form submit
	jQuery('#delete-user-on').on('click', function (e) {

		var  delete_user= 	jQuery('#delete_user').is(':checked');

		var userdeletemsg = jQuery('#userdeletemsg').val();

		if(delete_user==true)
		{
			var strconfirm = confirm(userdeletemsg);
			if (strconfirm == true)
		    {
		        
				action = 'weddlist_ajax_delete_user';
				delete_id = 'yes';

					jQuery.ajax({
			            type: 'POST',
			            url: ajax_login_object.ajaxurl,
			            data: {
			                'action': action,
							'delete_id': delete_id,				
			            },
			            success: function (data) {
							window.location.reload();
							
			            }
			        });	  
		    }

		}

        e.preventDefault();
		return false;
    });	

	// Perform AJAX weddlist_ajax_sendme on form submit
    jQuery('form#booknowbox').on('submit', function(e){
	
		if (!jQuery("#booknowbox").valid()) return false;		

		jQuery('.status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_sendme';
		name = jQuery('#booknowbox #name').val();
		phone = jQuery('#booknowbox #phone').val();
		email = jQuery('#booknowbox #email').val();
		date = jQuery('#booknowbox #date').val();
		details = jQuery('#booknowbox #details').val();
		post_id = jQuery('#booknowbox #post_id').val();

		item_title = jQuery('.item_title').text();
		
		user_email_id = jQuery('#booknowbox #user_email_id').val();
		vendorid = jQuery('#booknowbox #vendorid').val();
		security = jQuery('#booknowbox #security').val();
	
		var sendme='';
		jQuery('input[name="sendme"]:checked').each(function() {
		   sendme=sendme+'--'+this.value;
		});	
		
		jQuery('.status').html('Loading..... ');
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			data: {
				'action': action,
				'name': name,
				'phone': phone,
				'email': email,
				'date': date,
				'details': details,
				'sendme': sendme,
				'item_title':item_title,
				'user_email_id':user_email_id,
				'post_id':post_id,
				'vendorid':vendorid,
				'item_url':window.location.href,				
				'security': security,				
			},
			success: function (data) {
				jQuery('.status').show();
				jQuery('.status').html(data);
				jQuery('#booknowbox #name').val('');
				jQuery('#booknowbox #phone').val('');
				jQuery('#booknowbox #email').val('');
				jQuery('#booknowbox #date').val('');			
			}
		});
		e.preventDefault();
	});	


	// Perform AJAX change-password on form submit
	jQuery('#btn-guestlist').on('click', function (e) {

		if (!jQuery("#form-guestlist").valid()) return false;		

		var formid='#form-guestlist';

        jQuery('#form-guestlist .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_guestlist';
		guestname = jQuery(formid+' #guestname').val();
		guestemail = jQuery(formid+' #guestemail').val();
		guestphone = jQuery(formid+' #guestphone').val();

		guestmembers = jQuery(formid+' #guestmembers').val();
		guestinvitestatus = jQuery(formid+' #guestinvitestatus').val();
		guestceremony = jQuery(formid+' #guestceremony').val();
		guestreception = jQuery(formid+' #guestreception').val();
		guestdetail = jQuery(formid+' #guestdetail').val();
		
		security = jQuery(formid+' #security').val();
		ctrl = jQuery(formid);

		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'guestname': guestname,
                'guestemail': guestemail,
				'guestphone': guestphone,

				'guestmembers': guestmembers,
				'guestinvitestatus': guestinvitestatus,
				'guestceremony': guestceremony,
				'guestreception': guestreception,
				'guestdetail': guestdetail,				
				
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery(formid+' .status').show();
				jQuery(formid+' .status').html(data);

				if(guestname!="" && guestemail!="" && guestphone!="")
				{
					document.location.href = window.location.href;
				}
            }
        });
        e.preventDefault();
    });	

	// Perform AJAX btn-edit-guestlist on form submit
	jQuery('#btn-edit-guestlist').on('click', function (e) {

		if (!jQuery("#form-edit-guestlist").valid()) return false;		

		var formid='#form-edit-guestlist';

        jQuery('#form-edit-guestlist .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_edit_guestlist';
		guestname = jQuery(formid+' #guestname').val();
		guestemail = jQuery(formid+' #guestemail').val();
		guestphone = jQuery(formid+' #guestphone').val();

		guestmembers = jQuery(formid+' #guestmembers').val();
		guestinvitestatus = jQuery(formid+' #guestinvitestatus').val();
		guestceremony = jQuery(formid+' #guestceremony').val();
		guestreception = jQuery(formid+' #guestreception').val();
		guestdetail = jQuery(formid+' #guestdetail').val();
	

		guestid = jQuery(formid+' #guestid').val();
		
		security = jQuery(formid+' #security').val();
		ctrl = jQuery(formid);

		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'guestname': guestname,
                'guestemail': guestemail,
				'guestphone': guestphone,

				'guestmembers': guestmembers,
				'guestinvitestatus': guestinvitestatus,
				'guestceremony': guestceremony,
				'guestreception': guestreception,
				'guestdetail': guestdetail,				

				'guestid': guestid,				
				
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery(formid+' .status').show();
				jQuery(formid+' .status').html(data);

				if(guestname!="" && guestemail!="" && guestphone!="")
				{
					document.location.href = window.location.href;
				}
            }
        });
        e.preventDefault();
    });	

	// Perform AJAX change-password on form submit
	jQuery('#btn-todolist').on('click', function (e) {
		
		jQuery('#btn-todolist').attr('disabled','disabled');		

        jQuery('#form-todolist .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_todolist';
		todotitle = jQuery('#form-todolist #todotitle').val();
		tododate = jQuery('#form-todolist #tododate').val();
		tododetail = jQuery('#form-todolist #tododetail').val();
		security = jQuery('#form-todolist #security').val();
		ctrl = jQuery("#form-todolist");

		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'todotitle': todotitle,
                'tododate': tododate,
				'tododetail': tododetail,
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#form-todolist .status').show();
				jQuery('#form-todolist .status').html(data);

				jQuery('#btn-todolist').removeAttr('disabled');
				if(todotitle!="" && tododate!="" && tododetail!="")
				{
					document.location.href = window.location.href;
				}
            }
        });
        e.preventDefault();
    });	


	// Perform AJAX change-password on form submit
	jQuery('#edit-todolist').on('click', function (e) {
		
		jQuery('#edit-todolist').attr('disabled','disabled');		
        jQuery('#form-edit-todolist .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_edit_todolist';
		todotitle = jQuery('#form-edit-todolist #todotitle').val();
		tododate = jQuery('#form-edit-todolist #tododate').val();
		tododetail = jQuery('#form-edit-todolist #tododetail').val();
		todoid = jQuery('#form-edit-todolist #todoid').val();
		security = jQuery('#form-edit-todolist #security').val();
		ctrl = jQuery("#form-edit-todolist");
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'todotitle': todotitle,
                'tododate': tododate,
				'tododetail': tododetail,
				'todoid': todoid,
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#form-edit-todolist .status').show();
				jQuery('#form-edit-todolist .status').html(data);

				jQuery('#edit-todolist').removeAttr('disabled');				

				if(todotitle!="" && tododate!="" && tododetail!="")
				{
					var url = window.location.href.split('&')[0];
					document.location.href = url;
				}				
            }
        });
        e.preventDefault();
    });		


	// Perform AJAX weddlist_ajax_budget on form submit
	jQuery('#btn-budget-list').on('click', function (e) {
		
        if (!jQuery("#form-budget").valid()) return false;
        jQuery('#form-budget .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_budget';
		budget_category = jQuery('#form-budget #budget_category').val();
		security = jQuery('#form-budget #security').val();
		ctrl = jQuery("#form-budget");
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'budget_category': budget_category,
                'security': security
            },
            success: function (data) {
				jQuery('#form-budget #budget_category').val('');
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#form-budget .status').show();
				jQuery('#form-budget .status').html(data);
				
				if(budget_category!="")
				{
					document.location.href = window.location.href;
				}
		    }
        });
        e.preventDefault();
    });		


	// Perform AJAX weddlist_ajax_edit_budget on form submit
	jQuery('#edit-budget-list').on('click', function (e) {
		
        if (!jQuery("#form-edit-budget").valid()) return false;
        jQuery('#form-edit-budget .status', this).show().text(ajax_login_object.loadingmessage);
		action = 'weddlist_ajax_edit_budget';
		budget_category = jQuery('#form-edit-budget #budget_category').val();
		category_id = jQuery('#form-edit-budget #category_id').val();
		security = jQuery('#form-edit-budget #security').val();
		ctrl = jQuery("#form-edit-budget");
		
		jQuery.ajax({
            type: 'POST',
            url: ajax_login_object.ajaxurl,
			dataType: 'json',
            data: {
                'action': action,
                'budget_category': budget_category,
				'category_id': category_id,
                'security': security
            },
            success: function (data) {
				jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
				jQuery('#form-edit-budget .status').show();
				jQuery('#form-edit-budget .status').html('<div style="color:#3c763d;background-color:#dff0d8;padding:15px;margin-bottom:15px;">'+data.message+'</div>');

				if(budget_category!="")
				{
					document.location.href = window.location.href;
				}				
            }
        });
        e.preventDefault();
    });		

	// Review Counter
	jQuery('.review-counter a').on('click', function (e) {

		var $this = jQuery(this);
		var currentVal = $this.data('score');
		var type = $this.data('type');					
		var reviewID = $this.data('id');

		action = 'weddlist_review_counter';

		$this.find('span').text('');
		$this.find('span').html('<i class="fa fa-spinner fa-spin"></i>');

		jQuery.ajax({
            type: 'POST',
			dataType: 'json',
            url: ajax_login_object.ajaxurl,
            data: {
                'action': action,
                'currentVal': currentVal,
                'type': type,
				'reviewID': reviewID,
            },
            success: function (data) {
				if(data.errors="no"){
					var newscore = data.newscore;
					$this.data('score', newscore);	
					$this.find('span').html(newscore);
				}
				else
				{
					var newscore = data.newScore;
					$this.data('score', newscore);	
					$this.find('span').html(newscore);					
				}
            }
        });
        e.preventDefault();
    });	


	
	jQuery('form.edit_reivew').on('submit', function(e){

		var frmID 			= $(this).closest('form').attr('id');
		review_id 			= jQuery('#'+frmID+' #item_id').val();
		rating 				= jQuery('#'+frmID+' #rating').val();
		review_title		= jQuery('#'+frmID+' #review_title').val();
		review_description 	= jQuery('#'+frmID+' #review_description').val();

		if(review_title=='')
		{
			alert("Please enter title");
		}
		else{
		action = 'weddlist_ajax_edit_review';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			data: {
				'action': action,
				'review_id': review_id,
				'review_title': review_title,
				'rating': rating,				
				'review_description': review_description,
			},
			success: function () {
				document.location.href = window.location.href;

			}
		});

		e.preventDefault();
		}
		return false;
			
	});


	jQuery( ".view_more_btn" ).click(function() {
	
		var review_id = $(this).data('id');
		jQuery( "#review_box_"+review_id+" .edit_reivew" ).toggle( "slow" );
	
	});

	if (jQuery("#load-trigger").hasClass("load-trigger")){

		window.addEventListener("load", function(){

		setTimeout( function(){ 
			jQuery( "#btn-search-on" ).trigger( "click" );

		    // Do something after 1 second 
		  }  , 1000 );

		});
	}

	// Perform AJAX Based Search
	jQuery('#btn-search-on').on('click', function (e) {	
		jQuery('#btn-search-on').hide();

		call_paging_item(1);
		e.preventDefault();
		
	});	
	


jQuery('#paypal_pack').on('click', function (e) {

	pay_package = jQuery('#pay_package').val();
			
	if(pay_package=="")
	{
		alert("Please select package");
		return false;
	}
	else{
	jQuery('#paypal_status').html('<p>Please wait for movement</p>');
	action = 'weddlist_ajax_paypal_payment';
	

	security = jQuery('#security').val();

	jQuery.ajax({
		type: 'POST',
		url: ajax_login_object.ajaxurl,
		data: {
			'action': action,
			'pay_package': pay_package,
			'security': security,
		},
		success: function (data) {
			jQuery('#paypal_status').html(data);			
			
		}
	});
	e.preventDefault();
	}
});	

jQuery('.pricing-btn').on('click', function () {

	var package = jQuery(this).attr('id');
	var package_val=jQuery('#pay_package').val();
	if(package_val=='')
	{
		jQuery('#payment_option_box').slideDown();
	}	

	jQuery('.pricing-btn').removeClass('tp-btn-primary');
	jQuery('#'+package).addClass('tp-btn-primary');	
	jQuery('#pay_package').val(package);
	
});		


jQuery('.free-pricing-btn').on('click', function () {

	var package = jQuery(this).attr('id');
	jQuery(this).remove();

	action = 'weddlist_ajax_pricing_free_plan';

	jQuery.ajax({
		type: 'POST',
		url: ajax_login_object.ajaxurl,
		data: {
			'action': action,
			'packageid': package,
		},
		success: function (data) {
			redURL = data;
			window.location.href = redURL;			
			
		}
	});
	
});		

jQuery('#submit-claim').on('click', function () {

    if (!jQuery("form#claim-form").valid()) return false;

	var post_id = jQuery('#post_id').val();			

	var fullname = jQuery('#fullname').val();
	var phone = jQuery('#phones').val();			
	var message = jQuery('#message').val();	


    jQuery('#submit-claim').prop('disabled', true);

	action = 'weddlist_ajax_item_claim_submit';

	jQuery.ajax({
		type: 'POST',
		url: ajax_login_object.ajaxurl,
		data: {
			'action': action,
			'post_id': post_id,
			'fullname': fullname,
			'phone': phone,
			'message': message,
		},
		success: function (data) {
			
			jQuery('#claim-model .status').show();
			jQuery('#claim-model .status').html(data);
			
			jQuery('#submit-claim').prop('disabled', false);
			jQuery('#fullname').val('');
			jQuery('#phone').val('');	
		}
	});
	
	
});	
		
	
});


	function delete_guestlist(itemid)
	{
		var strconfirm = confirm("Are you sure you want to delete this guest?");
		if (strconfirm == true)
		{		
			action = 'weddlist_ajax_delete_guestlist';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				dataType: 'json',
				data: {
					'action': action,
					'itemid':itemid,
				},
				success: function (data) {
					document.location.href = window.location.href;
				}
			});					
		}
	}		


	function edit_todolist(itemid)
	{
		jQuery('#editModal').modal('show'); 

		jQuery('#edit-todolist').hide(); 


		action = 'weddlist_ajax_edit_todolist_popup';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			dataType: 'json',
			data: {
				'action': action,
				'itemid': itemid,
			},
			success: function (data) {
				jQuery('#edit-todolist').show();
				jQuery('#editModal #todotitle').val(data.todotitle);
				jQuery('#editModal #tododate').val(data.tododate);
				jQuery('#editModal #tododetail').html(data.tododetail);
				jQuery('#editModal #todoid').val(data.todoid);				
			}
		});					
	}	



	function delete_todolist(itemid)
	{
		var tododeletemsg = jQuery('#tododeletemsg').val();
		var strconfirm = confirm(tododeletemsg);
		if (strconfirm == true)
		{		
			action = 'weddlist_ajax_delete_todolist';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				data: {
					'action': action,
					'itemid':itemid,
				},
				success: function (data) {
					document.location.href = window.location.href;
				}
			});					
		}
	}		

	function read_todolist(itemid)
	{
		
		var msg=jQuery("#todocheck_"+itemid).attr("data-msg");

		jQuery("#todocheck_"+itemid).prop( "checked" );

		action = 'weddlist_ajax_read_todolist';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			data: {
				'action': action,
				'itemid':itemid,
			},
			success: function (data) {			
				jQuery('#todo_read_'+itemid).html(msg);
				jQuery('#line_'+itemid).addClass('text-line');
				jQuery("#todocheck_"+itemid).attr("disabled", 'disabled');
			}
		});					
	}	


	function unread_todolist(itemid)
	{
		action = 'weddlist_ajax_unread_todolist';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			data: {
				'action': action,
				'itemid':itemid,
			},
			success: function (data) {
				jQuery('#todolist_'+itemid).html('<a class="btn-circle read-todo" href="javascript:void(0)" onclick=read_todolist('+itemid+')><i class="fa fa-circle"></i></a>');         
				document.location.href = window.location.href;
			}
		});					
	}	

	function add_wishlist(itemid)
	{
		action = 'weddlist_ajax_add_wishlist';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			dataType: 'json',
			data: {
				'action': action,
				'itemid':itemid,
			},
			success: function (data) {
				jQuery('#fav_'+itemid).html('<a class="fav-icon" href="javascript:void(0)" onclick=remove_wishlist('+itemid+')><i class="fa fa-close"></i></a>');
			}
		});					
	}
	
	function remove_wishlist(itemid)
	{
		action = 'weddlist_ajax_remove_wishlist';
		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			dataType: 'json',
			data: {
				'action': action,
				'itemid':itemid,
			},
			success: function (data) {
				jQuery('#fav_'+itemid).html('<a class="fav-icon" href="javascript:void(0)" onclick=add_wishlist('+itemid+')><i class="fa fa-heart"></i></a>');
			}
		});					
	}	


	function add_budget_list_row(id)
	{
       	expense  = jQuery('.add-item').attr('data-expense');
       	estimate  = jQuery('.add-item').attr('data-estimate');
       	actual  = jQuery('.add-item').attr('data-actual');
       	paid  = jQuery('.add-item').attr('data-paid');

		var now = new Date;
		var timestamp = now.getUTCDate()+''+now.getUTCHours()+''+now.getUTCMinutes()+''+now.getUTCSeconds()+''+now.getUTCMilliseconds();

		var add_row = '<tr id="'+timestamp+'"><td scope="row" class="heading-align budget_name"><input type="text" placeholder="'+expense+'" class="form-control input-md" id="'+timestamp+'row_input_item" ></td><td><input type="number" placeholder="'+estimate+'" class="form-control input-md" id="'+timestamp+'row_input_estimate"  ></td><td><input type="number" placeholder="'+actual+'" class="form-control input-md" id="'+timestamp+'row_input_actual" ></td><td><input type="number" placeholder="'+paid+'" class="form-control input-md"  id="'+timestamp+'row_input_paid"></td><td></td><td class="action_perform" id="'+timestamp+'row_save_action"><a href="javascript:void(0);" class="btn-edit btn-save" onclick="insert_budget_list_row('+timestamp+','+id+');"><i class="fa fa-save"></i></a></td></tr>';
		jQuery('#'+id+'_add_row').append(add_row);
	}

	function insert_budget_list_row(itemid,category)
	{
		var item_name		=	jQuery("#"+itemid+"row_input_item").val();
		var item_estimate	=	jQuery("#"+itemid+"row_input_estimate").val();
		var item_actual		=	jQuery("#"+itemid+"row_input_actual").val();
		var item_paid		=	jQuery("#"+itemid+"row_input_paid").val();
		
		if(!jQuery.isNumeric(item_estimate))
		{
			alert("Please enter Estimated value as Interger");
		}
		else if(!jQuery.isNumeric(item_actual))
		{
			alert("Please enter Actual Paid value as Interger");
		}
		else if(!jQuery.isNumeric(item_paid))
		{
			alert("Please enter Paid value as Interger");
		}
		else{
			action = 'weddlist_ajax_insert_budget_list';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				dataType: 'json',
				data: {
					'action': action,
					'item_name':item_name,
					'item_estimate':item_estimate,
					'item_actual':item_actual,
					'item_paid':item_paid,
					'item_category':category,
				},
				success: function (data) {
					jQuery("#"+itemid+"row_save_action").html('<strong>Saved</strong>');
					document.location.href = window.location.href;
				}
			});	
		}
	}
	
	function sub_budget_edit(itemid)
	{

		var budget_name_val=jQuery("#"+itemid+"_sub_add_row .budget_name").text();
		jQuery("#"+itemid+"_sub_add_row .budget_name").html('<input placeholder="Name" class="form-control input-md" id="sub_name_'+itemid+'" type="text" value="'+budget_name_val+'">')

		var budget_estimate_val=jQuery("#"+itemid+"_sub_add_row .budget_estimate").text();
		jQuery("#"+itemid+"_sub_add_row .budget_estimate").html('<input placeholder="Estimate" class="form-control input-md" id="sub_estimate_'+itemid+'" type="number" value="'+budget_estimate_val+'">')
		
		var budget_cost_val=jQuery("#"+itemid+"_sub_add_row .budget_cost").text();
		jQuery("#"+itemid+"_sub_add_row .budget_cost").html('<input placeholder="Cost" class="form-control input-md" id="sub_cost_'+itemid+'" type="number" value="'+budget_cost_val+'">')

		var budget_paid_val=jQuery("#"+itemid+"_sub_add_row .budget_paid").text();
		jQuery("#"+itemid+"_sub_add_row .budget_paid").html('<input placeholder="Paid" class="form-control input-md" id="sub_paid_'+itemid+'" type="number" value="'+budget_paid_val+'">')	
		
		
		jQuery("#"+itemid+"_sub_add_row .action_perform").html('<a href="javascript:void(0);" onclick="sub_budget_list_edit('+itemid+')" class="btn-edit"><i class="fa fa-save"></i></a>')				
		
	}

	function sub_budget_list_edit(itemid)
	{
		var item_name		=	jQuery("#sub_name_"+itemid).val();
		var item_estimate	=	jQuery("#sub_estimate_"+itemid).val();
		var item_actual		=	jQuery("#sub_cost_"+itemid).val();
		var item_paid		=	jQuery("#sub_paid_"+itemid).val();

		if(!jQuery.isNumeric(item_estimate))
		{
			alert("Please enter Estimated value as Interger");
		}
		else if(!jQuery.isNumeric(item_actual))
		{
			alert("Please enter Actual Paid value as Interger");
		}
		else if(!jQuery.isNumeric(item_paid))
		{
			alert("Please enter Paid value as Interger");
		}
		else{
			action = 'weddlist_ajax_edit_budget_list';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				dataType: 'json',
				data: {
					'action': action,
					'item_name':item_name,
					'item_estimate':item_estimate,
					'item_actual':item_actual,
					'item_paid':item_paid,
					'itemid':itemid,
				},
				success: function (data) {
					jQuery('html, body').animate({ scrollTop: 0 }, 'slow');
					jQuery('#form-budget .status').show();
					jQuery('#form-budget .status').html(data.message);
					document.location.href = window.location.href;
				}
			});	
		}				
	}
	


	function delete_budget_list(itemid)
	{
		var strconfirm = confirm("Are you sure you want to delete budget list?");
		if (strconfirm == true)
		{		
			action = 'weddlist_ajax_delete_budget_list';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				dataType: 'json',
				data: {
					'action': action,
					'itemid':itemid,
				},
				success: function (data) {
					document.location.href = window.location.href;
				}
			});					
		}
	}
	
	function delete_budget(itemid)
	{
		var strconfirm = confirm("Are you sure you want to delete category?");
		if (strconfirm == true)
		{		
			action = 'weddlist_ajax_delete_budget';
			jQuery.ajax({
				type: 'POST',
				url: ajax_login_object.ajaxurl,
				dataType: 'json',
				data: {
					'action': action,
					'itemid':itemid,
				},
				success: function (data) {
					var url = window.location.href.split('&')[0];
					document.location.href = url;
				}
			});					
		}
	}			
	


	function call_paging_item(paged)
	{
		
		action = 'weddlist_ajax_find_pins';
		
		category_type = jQuery('#category_type').val();
		location_type = jQuery('#location').val();
		min_price 	  = jQuery('#min_price').val();
		max_price 	  = jQuery('#max_price').val();

		listingname	  = jQuery('#listingname').val();
				
		price_range_filter 	  = jQuery('#price_range_filter').val();				

		radius_range_filter 	= jQuery('#radius_range_filter').val();				
		radius_distance 	  	= jQuery('#radius_distance').val();				

		radius_latitude 	= jQuery('#radius_latitude').val();				
		radius_longitude 	= jQuery('#radius_longitude').val();				


		
		map_diplay 	= jQuery('#map_diplay').val();
		map_key 	= jQuery('#map_key').val();

		if(map_diplay=="mapbox_map" || map_diplay=="openstreetmap_map")
		{
			var count_map = jQuery("#map").html();
			if(count_map!="")
			{
			   map.gestureHandling.disable();
			   map.remove();
			   jQuery("#map").html("");

			}
		}
		else if(map_diplay=="google_map")
		{
			if(paged!=1)
			{
				var clear_all = document.getElementById('paging_'+paged);
				google.maps.event.addDomListener(clear_all, 'click', clearClusters);
			}		
			
			var clear_all = document.getElementById('btn-search-on');
			google.maps.event.addDomListener(clear_all, 'click', clearClusters);
			
		}

		preloader_listing	  = jQuery('#preloader_listing').val();	
		if(preloader_listing!="")
		{
			preloader_listing='<img src="'+preloader_listing+'" />';
		}
		else{
			preloader_listing='<h1 class="text-center">Loading......</h1>';
		}

		jQuery('#item_results').html('<div class="mt90 mb60 text-center">'+preloader_listing+'</div>');

		jQuery.ajax({
			type: 'POST',
			url: ajax_login_object.ajaxurl,
			dataType: 'json',
			data: {
				'action': action,
				'category_type': category_type,
				'location_type': location_type,
				'min_price': min_price,
				'max_price': max_price,
				'listingname': listingname,
				'price_range_filter': price_range_filter,				
				'radius_latitude': radius_latitude,
				'radius_longitude': radius_longitude,
				'radius_distance': radius_distance,
				'radius_range_filter': radius_range_filter,				

				'page_no':paged,
			},
			success: function (data) {
				var gmarkers = null;
				jQuery('#item_results').html(data.html_result); 			
				if(map_diplay=="openstreetmap_map")
				{
					call_map_openstreetmap(data.json_map,data.center_latitude,data.center_longitude,map_diplay);
				}
				else if(map_diplay=="mapbox_map")
				{
					call_map_openstreetmap(data.json_map,data.center_latitude,data.center_longitude,map_diplay,map_key);
				}
				else if(map_diplay=="google_map")
				{
					call_map(data.json_map,data.center_latitude,data.center_longitude);
				}

				jQuery('#btn-search-on').show();
			}
		});	
	}

jQuery(document).ready(function($) {
	jQuery('.weddlist_add_cart').on('click', function()
	{
	  var pack_ref 	=  jQuery(this).attr('data-package-type');
	  var pack_id 	= jQuery(this).attr('data-product-id');
	  var qunatity 	= jQuery(this).attr('data-product-qty');

	  jQuery('.weddlist-button-'+pack_id+'').button('loading');

	  jQuery.post(ajax_login_object.ajaxurl,  {action : 'weddlist_listing_add_to_cart', package_id:pack_id,qty:qunatity,package_refer:pack_ref}).done( function(response) 
	  {
	    jQuery('.weddlist-button-'+pack_id+'').button('reset');
	    if(jQuery.trim(response) == '1')
	    {
	      jQuery( document ).ready(function(){jQuery("#myModal").modal("show");});
	      jQuery('#pack_type').val(pack_ref);
	      jQuery('#pack_id').val(pack_id);
	      jQuery('#woo-pack').show();
	    }
	    else
	    {
	      window.location = response;
	    }
	  });
	});	
});		