<?php 
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Listing Setting', 'weddlist' ),
        'id'               => 'listingsetting',
        'customizer_width' => '400px',
        'icon'             => 'el el-list',
        'fields'     => array(

            array(
            'id'       => 'new_item_status',
            'type'     => 'select',
            'title'    => __('New Listing Status', 'weddlist'),
            'desc' => __('Please Select Options You want Auto Appove or Manually Approve  <strong>"Listing"</strong> For Listing', 'weddlist'),
            'options'  => array(
                    'default'  => 'Auto Approve Listing',
                    'manually_approve'  => 'Manually Approve Listing By Admin',
                ),          
                'default' => 'default'
            ),

            array(
                'id'    =>  'new_item_status_admin_email',
                'type'  =>  'switch',
                'title'    => __('Admin Email When Listing Add', 'weddlist'),
                'desc' =>  __('Admin can get email when new listing Added by vendor so admin can approve or denied.It is in pending mode', 'weddlist'),
                'default'   =>  false,
                'required' => array('new_item_status','equals','manually_approve'),
            ),

            array(
            'id'       => 'search_listing_layout',
            'type'     => 'select',
            'title'    => __('Search Listing Layout', 'weddlist'),
            'subtitle' => __('Select Seach Layout For Home Page and Default <strong>"Listing"</strong> Template', 'weddlist'),
            'options'  => array(
                    'default'  => 'Default Without Map Listing',
                    'map_left'  => 'Left With Map Listing',
                    'map_right'  => 'Right With Map Listing',
                    'map_top'  => 'Top With Map Listing',
                ),          
                'default' => 'default'
            ),

            array(
            'id'       => 'listing_gallery_layout',
            'type'     => 'select',
            'title'    => __('Listing Gallery', 'weddlist'),
            'subtitle' => __('Select Listing Gallery For Details Page', 'weddlist'),
            'options'  => array(
                    'default'  => 'Default Gallery',
                    'full_load'  => 'Full Image Load',
                ),          
                'default' => 'default'
            ),            
          
            array(
            'id'       => 'listing_details_vendorprofile',
            'type'     => 'select',
            'title'    => __('Listing Details Vendor Profile', 'weddlist'),
            'subtitle' => __('Select Listing Details Page for Vendor Profie', 'weddlist'),
            'options'  => array(
                    'default'  => 'Default As per Package',
                    'show_all'  => 'Always Show',
                ),          
            'default' => 'default'
            ),    

            array(
            'id'       => 'listing_details_video',
            'type'     => 'select',
            'title'    => __('Listing Details Video', 'weddlist'),
            'subtitle' => __('Select Listing Details Page for video', 'weddlist'),
            'options'  => array(
                    'default'  => 'Default As per Package',
                    'show_all'  => 'Always Show',
                ),          
            'default' => 'default'
            ),    
            array(
                'id'       => 'listing_gallery_tab',
                'type'     => 'switch',
                'title'    => esc_html__( 'Image Tabs On/Off', 'weddlist' ),
                'default'   =>  false,
            ),                                  
            array(
            'id'       => 'item_listing_layout',
            'type'     => 'image_select',
            'title'    => __('Item Listing Layout', 'weddlist'),
            'subtitle' => __('Which Layout You Want To show Listing your website select that', 'weddlist'),
            'options'  => array(
                'default'      => array(
                    'alt'   => __('Default', 'weddlist'),
                    'img'   => get_template_directory_uri() .'/assets/images/item-defualt.jpg',
                ),
                'item_rating_counter'      => array(
                    'alt'   => __('Item With Rating', 'weddlist'),
                    'img'   => get_template_directory_uri() .'/assets/images/item-rating.jpg',
                ),
                'item_image_overlay'      => array(
                    'alt'   => __('Item Image Overlay', 'weddlist'),
                    'img'   => get_template_directory_uri() .'/assets/images/item_image_overlay.jpg',
                ),

            ),
            'default' => 'default'
            ),       
            array(
                'id'    =>  'preloader_listing',
                'type'  =>  'media',
                'title' =>  __('Uploader Preloader Listing SVG/GIF', 'weddlist'),
                'default'   =>  array(
                    'url'   =>  get_template_directory_uri() . '/assets/images/loader.svg',
                ),
            ),                 

        )
    ) );     
?>