<?php 
Redux::setSection( $opt_name, array(
        'title'            => __( 'Payment Settings', 'weddlist' ),
        'id'               => 'payment-settings',
        'customizer_width' => '400px',
        'icon'             => 'el-icon-cog el-icon-small',
        'fields'     => array(

        )
    ) );        

    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Paypal Settings', 'weddlist' ),
        'id'     => 'mem-paypal-settings',
        'desc'   => '',
        'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'enable_paypal',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Paypal', 'weddlist' ),
                //'required' => array( 'enable_paid_submission', '!=', 'no' ),
                'desc'     => '',
                'subtitle' => '',
                'default'  => 0,
                'on'       => esc_html__( 'Enabled', 'weddlist' ),
                'off'      => esc_html__( 'Disabled', 'weddlist' ),
            ),
            
            array(
                'id'       => 'payment_paypal_api_username',
                'type'     => 'text',
                'required' => array( 'enable_paypal', '=', '1' ),
                'title'    => esc_html__('Paypal API Username', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
            array(
                'id'       => 'payment_paypal_api_password',
                'type'     => 'text',
                'required' => array( 'enable_paypal', '=', '1' ),
                'title'    => esc_html__('Paypal API Password', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
            array(
                'id'       => 'payment_paypal_api_signature',
                'type'     => 'text',
                'required' => array( 'enable_paypal', '=', '1' ),
                'title'    => esc_html__('Paypal API Signature', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
            array(
                'id'       => 'payment_paypal_api_currency_code',
                'type'     => 'select',
                'required' => array( 'enable_paypal', '=', '1' ),
                'title'    => esc_html__('Currency For Paypal', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'USD'  => 'USD',
                    'EUR'  => 'EUR',
                    'AUD'  => 'AUD',
                    'BRL'  => 'BRL',
                    'CAD'  => 'CAD',
                    'CHF'  => 'CHF',
                    'CZK'  => 'CZK',
                    'DKK'  => 'DKK',
                    'HKD'  => 'HKD',
                    'HUF'  => 'HUF',
                    'IDR'  => 'IDR',
                    'ILS'  => 'ILS',
                    'INR'  => 'INR',
                    'JPY'  => 'JPY',
                    'KOR'  => 'KOR',
                    'KSH'  => 'KSH',
                    'MYR'  => 'MYR',
                    'MXN'  => 'MXN',
                    'NGN'  => 'NGN',
                    'NOK'  => 'NOK',
                    'NZD'  => 'NZD',
                    'PHP'  => 'PHP',
                    'PLN'  => 'PLN',
                    'GBP'  => 'GBP',
                    'SGD'  => 'SGD',
                    'SEK'  => 'SEK',
                    'TWD'  => 'TWD',
                    'THB'  => 'THB',
                    'TRY'  => 'TRY',
                    'VND'  => 'VND',
                    'ZAR'  => 'ZAR'
                ),
                'default'  => 'USD',
            ),      
        array(
            'id'       => 'payment_paypal_api_mode',
            'type'     => 'select',
            //'required' => array( 'enable_paid_submission', '!=', 'no' ),
            'title'    => esc_html__('Paypal Sand Api', 'weddlist'),            
            'subtitle' => esc_html__('1) Sandbox = Testing API 2)LIVE = Real API', 'weddlist'),
            'desc'     => esc_html__('Update PayPal Checkout settings according to API type selection', 'weddlist'),
            'required' => array( 'enable_paypal', '=', '1' ),
            'options'  => array(
                'sandbox'=> 'Sandbox',
                'live'   => 'Live',
            ),
            'default'  => 'sandbox',
        ),              
        )
    )); 

    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Stripe Settings', 'weddlist' ),
        'id'     => 'mem-stripe-settings',
        'desc'   => '',
        'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'enable_stripe',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Stripe', 'weddlist' ),
                //'required' => array( 'enable_paid_submission', '!=', 'no' ),
                'desc'     => '',
                'subtitle' => '',
                'default'  => 0,
                'on'       => esc_html__( 'Enabled', 'weddlist' ),
                'off'      => esc_html__( 'Disabled', 'weddlist' ),
            ),
            
            array(
                'id'       => 'stripe_secrit_key',
                'type'     => 'text',
                'required' => array( 'enable_stripe', '=', '1' ),
                'title'    => esc_html__('Secrit Key', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
            array(
                'id'       => 'stripe_pubishable_key',
                'type'     => 'text',
                'required' => array( 'enable_stripe', '=', '1' ),
                'title'    => esc_html__('Publishable Key', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
            array(
                'id'       => 'stripe_currency',
                'type'     => 'text',
                'required' => array( 'enable_stripe', '=', '1' ),
                'title'    => esc_html__('Currency', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'USD',
            ),          
            
        )
    ));


    Redux::setSection( $opt_name, array(
        'title'  => esc_html__( 'Bank Transfer Settings', 'weddlist' ),
        'id'     => 'bank-transfer-settings',
        'desc'   => '',
        'subsection' => true,
        'fields' => array(
            array(
                'id'       => 'enable_banktransfer',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable Stripe', 'weddlist' ),
                //'required' => array( 'enable_paid_submission', '!=', 'no' ),
                'desc'     => '',
                'subtitle' => '',
                'default'  => 0,
                'on'       => esc_html__( 'Enabled', 'weddlist' ),
                'off'      => esc_html__( 'Disabled', 'weddlist' ),
            ),

            array(
                'id'       => 'banktransfer_title',
                'type'     => 'text',
                'required' => array( 'enable_banktransfer', '=', '1' ),
                'title'    => esc_html__('Banktransfer Title', 'weddlist'),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),   
            
            array(
                'id'       => 'banktransfer_details',
                'type'     => 'editor',
                'required' => array( 'enable_banktransfer', '=', '1' ),
                'title'    => esc_html__('Banktransfer Details ', 'weddlist'),
                'subtitle' => '',
                'desc'     => esc_html__('Add Your Banktransfer Or Fund Transfer Details ', 'weddlist'),
                'default'  => '',
            ),       
            
        )
    ));    
?>