<?php
/**
 * Template name: Login - Register
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */

get_header(); 
if(!is_user_logged_in()){
?>
 <!--==================================Section Open=================================-->
   <section id="register-page" class="register-main-block">
    <div class="container">
      <div class="row">
        <div class="col-md-6 col-md-offset-3 couple-login">
          <div class="register-block">
			     <div class="vendorsignupbox">
              <h4 class="register-heading text-center"><?php esc_html_e('Vendor Sign Up','weddlist');?></h4>
              <form id="vendorsignup" class="mt20"  method="post">
              <p class="status"></p>
              <div class="form-group">
                <input id="vendorusername" name="vendorusername" class="form-control" required placeholder="<?php esc_attr_e('Username','weddlist');?>" type="text">
              </div>
              <div class="form-group">
                <input id="vendoremail" name="vendoremail" class="form-control" required placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email">
              </div>
              <div class="form-group">
                <input id="vendorpassword" name="vendorpassword" class="form-control" maxlength="26" minlength="8"  required placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password">
              </div>
                <div class="checkbox-dtl">
                  <div class="terms-conditions"><?php esc_html_e('Click on Sign Up I am accepting the','weddlist'); ?> <a href="#">
                  <?php esc_html_e('Terms &amp; Conditions','weddlist'); ?></a></div>
                </div>
				        <input type="submit" value="<?php esc_attr_e('Sign Up','weddlist'); ?>" class="btn btn-pink" />                 
                <?php wp_nonce_field( 'ajax-vendor-register-nonce', 'vendorsecurity' ); ?>
              </form>
              <p class="sign-in text-center">
                <?php esc_html_e('Already have an account?','weddlist'); ?> <a class="signinclick"><?php esc_html_e('Sign In','weddlist'); ?></a>
              </p>
              <p class="sign-in text-center">
                <?php esc_html_e('Are you Couple?','weddlist'); ?> <a class="signupclick"><?php esc_html_e('Register Now','weddlist'); ?></a>
              </p>
            </div>          
          	<div class="signupbox">
              <h4 class="register-heading text-center"><?php esc_html_e('Couple Sign Up','weddlist');?></h4>
              <form id="couplesignup" class="mt20"  method="post">
              <p class="status"></p>
              <div class="form-group">
                <input id="coupleusername" name="coupleusername" class="form-control" required placeholder="<?php esc_attr_e('Username','weddlist');?>" type="text">
              </div>
              <div class="form-group">
                <input id="coupleemail" name="coupleemail" class="form-control" required placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email">
              </div>
              <div class="form-group">
                <input id="couplepassword" name="couplepassword" class="form-control"  maxlength="26" minlength="8"  required placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password">
              </div>
              <div class="form-group">
                <input id="wedding_date" name="wedding_date" class="form-control book_date check_book_date"  required placeholder="<?php esc_attr_e('Wedding Date','weddlist');?>" type="text">
              </div>              

                <div class="checkbox-dtl">
                  <div class="terms-conditions"><?php esc_html_e('Click on Sign Up I am accepting the','weddlist'); ?> <a href="#">
                  <?php esc_html_e('Terms &amp; Conditions','weddlist'); ?></a></div>
                </div>
				<input type="submit" value="<?php esc_attr_e('Sign Up','weddlist'); ?>" class="btn btn-pink" />                 
                <?php wp_nonce_field( 'ajax-couple-register-nonce', 'couplesecurity' ); ?>
              </form>

             
            <?php 
            if(class_exists('NextendSocialLogin')){
              if (class_exists('NextendSocialLogin', false) && count(NextendSocialLogin::$enabledProviders) > 0)
              {
                echo '<div class="pb30">';
                echo do_shortcode( '[nextend_social_login]'); 
                echo '</div>';
              }
            }
            ?>
              <p class="sign-in text-center">
                <?php esc_html_e('Already have an account?','weddlist'); ?> <a class="signinclick"><?php esc_html_e('Sign In','weddlist'); ?></a>
              </p>
              <p class="sign-in text-center">
                <?php esc_html_e('Are you Vendor?','weddlist'); ?>  <a class="vendorsignupclick"><?php esc_html_e('Register Now','weddlist'); ?></a>
              </p>
              
            </div>
            <div class="signinbox">
            <h4 class="register-heading text-center"><?php esc_html_e('Sign In','weddlist');?></h4>
              <form id="couplesignin" method="post">
              <p class="status"></p>
              <div class="form-group">
                <input id="username" name="username" class="form-control" placeholder="<?php esc_attr_e('Username Or Email','weddlist');?>" type="text">
              </div>
              <div class="form-group">
                <input id="password" name="password" class="form-control" placeholder="<?php esc_attr_e('Password','weddlist');?>" type="password">
              </div>
				<input type="submit" value="<?php esc_attr_e('Sign In','weddlist'); ?>" class="btn btn-pink" />                 
                <?php wp_nonce_field( 'ajax-couple-login-nonce', 'security' ); ?>
              </form>

                <?php 
                if(class_exists('NextendSocialLogin')){
                  if (class_exists('NextendSocialLogin', false) && count(NextendSocialLogin::$enabledProviders) > 0)
                  {
                    echo '<div class="pb30">';
                    echo do_shortcode( '[nextend_social_login]'); 
                    echo '</div>';
                  }
                }
                ?>

              <div class="row">
              	<div class="col-sm-7">
                  <p class="sign-in">
                    <?php esc_html_e('Are you Couple?','weddlist'); ?> <a class="signupclick"><?php esc_html_e('Sign Up','weddlist'); ?></a>
                  </p>
                  <p class="sign-in">
                    <?php esc_html_e('Are you Vendor?','weddlist'); ?>  <a class="vendorsignupclick"><?php esc_html_e('Register Now','weddlist'); ?></a>
                  </p>                    
                </div>
              	<div class="col-sm-5">
                  <p class="sign-in text-right">
                    <a class="forgotpasswordclick"><?php esc_html_e('Forgot Password','weddlist'); ?></a>
                  </p>
                </div>
              </div>            
            </div>
			 <div class="forgotpasswordbox">
              <h4 class="register-heading text-center"><?php esc_html_e('Forgot Password','weddlist');?></h4>
              <form id="forgotpasswordbox" class="mt30"  method="post">
              <?php //wp_nonce_field('forgot_ajax_nonce', 'security-forgot'); ?>
              <div class="status" id="forgot_pass_area"></div>	
              <div class="form-group">
                <input id="forgotemail" name="forgotemail" class="form-control" placeholder="<?php esc_attr_e('Email Address','weddlist');?>" type="email">
              </div>
				<input type="submit" id="wp_forgot" name="wp_forgot" value="<?php esc_attr_e('Get New Password','weddlist'); ?>" class="btn btn-pink" />              </form>
              <p class="sign-in">
                <a class="cancelclick"><?php esc_html_e('Cancel','weddlist'); ?></a>
              </p>
            </div>            
          

          </div>	
      </div>
    </div>
  </section>
	<!--==================================Section Close=================================-->
<?php 
}else{
	weddlist_check_logout_user();
}
get_footer();
?>