<?php
global $current_user,$post;
wp_get_current_user();
$userID         = $current_user->ID;	
$currency_code	= tg_option('currency_symbols');
get_template_part( 'template-parts/user/coupledashboard', 'menu' );

$weddingdate   = get_the_author_meta( 'user_weddingdate' , $userID );



if(!empty($weddingdate))
{
	$currnt_date	= date('Y-m-d');
	$datetime1 		= date_create($currnt_date);
	$datetime2 		= date_create($weddingdate);
	$interval 		= date_diff($datetime1, $datetime2);
	$count_down_days= $interval->format('%a');
	$dispay_date=   date_i18n("D, d F Y", strtotime($weddingdate));
}
else{
	$dispay_date = esc_html__('Please Add Wedding Date','weddlist');	
	$count_down_days = '-';

}

$wistlist_ids=get_user_meta( $userID, 'user_wishlist',true);
$wistlist_arr=explode(",",$wistlist_ids);	

$args = array( 'post_type' => 'item', 
				'post_status'  => 'publish',
				'post__in' => $wistlist_arr,
				'orderby' => 'menu_order ID',
				'order'   => 'DESC');
				 
$item = new WP_Query( $args );
$total_element=$item->found_posts;


$todolist_table = $wpdb->prefix."todolist";

$get_month_year = $wpdb->get_results( "SELECT MONTH(todo_date) as mon,YEAR(todo_date) as yea  FROM ".$todolist_table. " where todo_user=".$userID." GROUP BY YEAR(todo_date), MONTH(todo_date)"  );	

$get_count_unread = $wpdb->get_results( "SELECT count(*) as counter FROM ".$todolist_table. " where todo_user=".$userID." AND  todo_read=0");	
$get_count_read = $wpdb->get_results( "SELECT count(*) as counter FROM ".$todolist_table. " where todo_user=".$userID." AND  todo_read=1");	

$get_count_unread_counter=$get_count_unread[0]->counter;
$get_count_read_counter=$get_count_read[0]->counter;

$total_todo = $get_count_unread_counter+$get_count_read_counter;


$budget_list_table = $wpdb->prefix."budget_list";

$get_rows = $wpdb->get_results( "SELECT * FROM ".$budget_list_table. " where budget_list_user_id=".$userID." order by budget_list_name ASC"  );

$final_cost=0;
$spend_cost=0;
for($i=0;$i<count($get_rows);$i++)
{
	$final_cost=$final_cost+$get_rows[$i]->budget_list_estimate_cost;
	$spend_cost=$spend_cost+$get_rows[$i]->budget_list_actual_cost;	
}
?>
<div class="couple-dashboard-block dashboard-box">
        <div class="row">
          <div class="col-md-12 dashboard-page-head">
            <h3 class="couple-profile-heading"><?php esc_html_e('My Dashboard','weddlist');?></h3>
          </div>
        </div>
        <div class="row">
          <div class="col-md-4 col-sm-6">
            <div class="my-dashboard">
              <div class="background-image">
                <i class="flaticon-wedding-day"></i>
              </div>
              <div class="dashboard-date">
                <i class="flaticon-wedding-day"></i>
                <div class="dashboard-date-heading"><?php echo esc_html($dispay_date);?></div>
              </div>
              <div class="facts-block dashboard-dtl">
                <h2 class="facts-number counter"><?php echo esc_html($count_down_days);?></h2>
                <div class="dashboard-text"><?php esc_html_e('Wedding Days To Go','weddlist'); ?></div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-6">
            <div class="my-dashboard">
              <div class="background-image">
                <i class="flaticon-honeymoon-luggage"></i>
              </div>
              <div class="dashboard-date">
                <i class="flaticon-honeymoon-luggage"></i>
                <div class="dashboard-date-heading"><?php esc_html_e('Spent','weddlist'); ?> <?php echo esc_html($currency_code.$spend_cost);?> <?php esc_html_e('Out Of','weddlist'); ?> <?php echo esc_html($currency_code.$final_cost);?></div>
              </div>
              <div class="facts-block dashboard-dtl">
                <h2 class="facts-number counter"><?php print wp_kses_post($currency_code.$final_cost);?></h2>
                <div class="dashboard-text"><?php esc_html_e('Your Budget','weddlist'); ?></div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-6">
            <div class="my-dashboard">
              <div class="background-image">
                <i class="flaticon-wedding-planning"></i>
              </div>
              <div class="dashboard-date">
                <i class="flaticon-wedding-planning"></i>
                <div class="dashboard-date-heading"><?php esc_html_e('Completed','weddlist'); ?> <?php echo esc_html($get_count_read_counter);?> <?php esc_html_e('of','weddlist'); ?> <?php echo esc_html($total_todo);?></div>
              </div>
              <div class="facts-block dashboard-dtl">
                <h2 class="facts-number counter"><?php echo esc_html($get_count_unread_counter);?></h2>
                <div class="dashboard-text"><?php esc_html_e('Checklist to do','weddlist'); ?></div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-6">
            <div class="my-dashboard">
              <div class="background-image">
                <i class="flaticon-heart-shaped-padlock"></i>
              </div>
              <div class="dashboard-date">
                <i class="flaticon-heart-shaped-padlock"></i>
                <div class="dashboard-date-heading"><?php esc_html_e('Compare And finalize','weddlist'); ?></div>
              </div>
              <div class="facts-block dashboard-dtl">
                <h2 class="facts-number counter"><?php echo esc_html($total_element);?></h2>
                <div class="dashboard-text"><?php esc_html_e('wishlist','weddlist'); ?></div>
              </div>
            </div>
          </div>
        </div>
       
      </div>