<?php
global $current_user;
wp_get_current_user();

$userID         	= $current_user->ID;
$user_login     	= $current_user->user_login;
$first_name     	= get_the_author_meta( 'first_name' , $userID );
$last_name      	= get_the_author_meta( 'last_name' , $userID );
$user_email     	= get_the_author_meta( 'user_email' , $userID );
$phone   			    = get_the_author_meta( 'phone' , $userID );

$address        	= get_the_author_meta( 'address' , $userID );
$coupletype          = get_the_author_meta( 'coupletype' , $userID );

$weddingdate        = get_the_author_meta( 'user_weddingdate' , $userID );
$weddingcity        = get_the_author_meta( 'user_weddingcity' , $userID );
$weddingstate       = get_the_author_meta( 'user_weddingstate' , $userID );

$partner_firstname  = get_the_author_meta( 'partner_firstname' , $userID );
$partner_lastname   = get_the_author_meta( 'partner_lastname' , $userID );


$partner_user_custom_picture    =   get_the_author_meta( 'partner_custom_picture' , $userID );
$partner_image_id               =   get_the_author_meta( 'partner_small_custom_picture',$userID); 


$user_custom_picture    =   get_user_meta($userID, 'custom_picture', true);
$image_id               =   get_user_meta($userID, 'small_custom_picture', true); 

if($user_custom_picture==''){
    $user_custom_picture=get_template_directory_uri().'/assets/images/man.png';
}

if($partner_user_custom_picture==''){
    $partner_user_custom_picture=get_template_directory_uri().'/assets/images/girl.png';
}

if($coupletype=='bride')
{
  if($user_custom_picture==''){
      $user_custom_picture=get_template_directory_uri().'/assets/images/girl.png';
  }

  if($partner_user_custom_picture==''){
      $partner_user_custom_picture=get_template_directory_uri().'/assets/images/man.png';
  }
}
?>
<div class="row">
<div class="col-md-8">  
  	<form id="user-profile" class="ajax-auth" method="post">
    <div class="status" id="couple-status"></div> 
    <div class="couple-profile-main-block user-main-box">
	  <?php wp_nonce_field('ajax-user-profile-nonce', 'security'); ?>    
    <div class="row">
        <div class="col-md-12">
            <h3 class="user-main-heading"><?php esc_html_e('Your Profile','weddlist');?></h3>
            <div class="couple-profile-block user-main-inner-box pb0">
                <div class="row">
                  <div class="col-md-6">
                    <div class="form-group">
                      <label><?php esc_html_e('First Name','weddlist');?>*</label> 
                      <input class="form-control required" id="firstname" name="firstname" value="<?php echo esc_attr($first_name); ?>" type="text">
                    </div> 
                  </div>  
                  <div class="col-md-6">
                    <div class="form-group">
                      <label><?php esc_html_e('Last Name','weddlist');?>*</label> 
                      <input class="form-control required" id="lastname" name="lastname" type="text" value="<?php echo esc_attr($last_name);?>"> 
                    </div> 
                  </div>  
                </div>   
                <div class="form-group">
                  <label><?php esc_html_e('Email','weddlist');?>*</label> 
                  <input class="form-control" id="email" name="email" type="text" value="<?php echo esc_attr($user_email);?>" disabled="disabled" />
                </div>  
                <div class="form-group">
                  <label><?php esc_html_e('Phone','weddlist');?></label> 
                  <input id="phone" name="phone" type="text" value="<?php echo esc_attr($phone);?>" class="form-control" />
                </div>             
            </div>
            <h3 class="user-main-heading"><?php esc_html_e('Wedding Details','weddlist');?></h3>
            <div class="user-main-inner-box pb0">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Partner First Name','weddlist');?>*</label> 
                    <input class="form-control" id="partner_firstname" name="partner_firstname" type="text" value="<?php echo esc_attr($partner_firstname);?>">
                  </div>                   
                </div>  
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Partner Last Name','weddlist');?>*</label> 
                    <input class="form-control" id="partner_lastname" name="partner_lastname" type="text" value="<?php echo esc_attr($partner_lastname);?>">
                  </div>                   
                </div>  
              </div>               
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Are You Groom or Bride?','weddlist');?></label>                     
                      <select id="coupletype" name="coupletype" class="form-control" required>
                          <option value="bride" <?php if($coupletype=='bride') { echo 'selected'; } ?>><?php esc_html_e('Bride','weddlist'); ?></option>
                          <option value="groom" <?php if($coupletype=='groom') { echo 'selected'; } ?>><?php esc_html_e('Groom','weddlist'); ?></option>
                      </select>                                          
                  </div>                   
                </div>  
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Wedding Date','weddlist');?>*</label> 
                    <input class="form-control book_date check_book_date" id="wedding_date" name="wedding_date" type="text" value="<?php echo esc_attr($weddingdate);?>">
                  </div>                    
                </div>  
              </div>  

              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Wedding City','weddlist');?>*</label> 
                    <input class="form-control" id="wedding_city" name="wedding_city" type="text" value="<?php echo esc_attr($weddingcity);?>">
                  </div>                   
                </div>  
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php esc_html_e('Wedding Location','weddlist');?>*</label> 
                    <input class="form-control" id="wedding_state" name="wedding_state" type="text" value="<?php echo esc_attr($weddingstate);?>">
                  </div>                   
                </div>  
              </div>                
              <div class="form-group">
                  <label><?php esc_html_e('Wedding Address','weddlist');?></label> 
                  <textarea class="form-control" id="address" name="address" rows="3"><?php echo esc_attr($address); ?></textarea>
              </div>                                                          
            </div>        
        </div>        
        
        <div class="col-md-12">
          <h3 class="user-main-heading"><?php esc_html_e('Upload Your & Partner Photos','weddlist');?></h3>
          <div class="upload-profile-block pb0 user-main-inner-box">
              <div class="row">
                <div class="col-md-6">
                  <div class="upload-img">
                    <?php echo '<img id="profile-image" src="'.esc_attr($user_custom_picture).'" alt="user image" data-profileurl="'.esc_attr($user_custom_picture).'" data-smallprofileurl="'.$image_id.'" class="img-responsive">';
                      ?>
                  </div>
                  <div class="image_value" id="image_value" data-image_upload_total_limit="1" data-image_uploaded_images="0"></div>  
                  <div class="upload-img-btn">
                    <div id="upload-container">                 
                        <div id="aaiu-upload-container">                           
                            <button id="aaiu-uploader" class="mt20 btn-media"><?php esc_html_e('Upload Your Image','weddlist');?></button>
                            <div id="aaiu-upload-imagelist">
                                <ul id="aaiu-ul-list" class="aaiu-upload-list"></ul>
                            </div>
                        </div>  
                    </div>
                    <span class="upload_explain"><?php esc_html_e('*minimum 400px x 400px','weddlist');?></span>
                  </div>
                </div> 
                <div class="col-md-6">

                  <div class="upload-img">
                    <?php 
                  print '<img id="partner-image" src="'.$partner_user_custom_picture.'" class="img-responsive"  data-profileurl="'.$partner_user_custom_picture.'" data-smallprofileurl="'.$partner_image_id.'">';                   
                      ?>
                  </div>
                  <div class="upload-img-btn">
                      <div id="upload-container2">                 
                          <div id="aaiu-upload-container2">                                   
                              <button id="aaiu-uploader2" class="mt20 btn-media"><?php esc_html_e('Upload Partner Image','weddlist');?></button>
                              <div id="aaiu-upload-imagelist2">
                                  <ul id="aaiu-ul-list2" class="aaiu-upload-list"></ul>
                              </div>
                          </div>  
                      </div>
                    <span class="upload_explain"><?php esc_html_e('*minimum 400px x 400px','weddlist');?></span>
                  </div>
                </div>              

                </div> 
              </div>
            </div>        	
        </div>
      <div class="user-main-inner-box pb40">
        <button id="couple-profile-on" class="btn btn-pink"><?php esc_html_e('Save Changes','weddlist');?></button> 
      </div>
    </div>  
     
  	</form>  
</div>
<div class="col-md-4">
  <form id="change-password" class="ajax-auth" method="post">
  <div class="status"></div>
  <div class="change-password-block user-main-box mb30">
  <h3 class="user-main-heading"><?php esc_html_e('Change Password','weddlist');?></h3>
  <div class="user-main-inner-box">
    	<?php wp_nonce_field('ajax-vendor-change-pwd-nonce', 'security'); ?>
      <div class="form-group">
        <label><?php esc_html_e('Old Password','weddlist');?></label> 
        <div class="pwd-eye">
          <input class="form-control" name="old_pwd" id="old_pwd" type="password"> 
          <span data-toggle="#old_pwd" class="fa toggle-pwd fa-eye-slash"></span>
        </div>         
      </div>      
      <div class="form-group">
        <label><?php esc_html_e('New Password','weddlist');?></label> 
        <div class="pwd-eye">
        <input class="form-control" name="new_pwd" id="new_pwd" type="password"> 
        <span data-toggle="#new_pwd" class="fa toggle-pwd fa-eye-slash"></span>
        </div>
      </div>      
      <div class="form-group pb10">
        <label><?php esc_html_e('Confirm Password','weddlist');?></label> 
        <div class="pwd-eye">
        <input class="form-control" name="confirm_pwd" id="confirm_pwd" type="password">
        <span data-toggle="#confirm_pwd" class="fa toggle-pwd fa-eye-slash"></span> 
        </div>
      </div>      
      <div class="form-group">
        <button id="change-password-on" type="button" class="btn btn-pink"><?php esc_html_e('Change Password','weddlist');?></button>
      </div>                                                                          
    </div>
  </div>
  </form>
  <div class="user-main-box mb30">
    <h3 class="user-main-heading mb10"><?php esc_html_e('Delete Account','weddlist');?></h3>
     <div class="user-main-inner-box">
        <p><?php esc_html_e('Check below options to delete','weddlist'); ?>&nbsp;<?php echo get_bloginfo( 'name' ); ?>&nbsp;<?php esc_html_e('account?','weddlist');?></p>
        <div class="form-group">
            <div class="checkbox-dtl"> 
                <input type="checkbox" value="on" id="delete_user" name="delete_user"><label for="delete_user"></label><div class="checkbox-label ml30"><?php esc_html_e('Delete My Account and all data ?','weddlist'); ?></div>
            </div> 
        </div>  
        <button id="delete-user-on" type="button" class="btn btn-pink"><?php esc_html_e('Delete','weddlist');?></button><input type="hidden" name="userdeletemsg" id="userdeletemsg" value="<?php esc_html_e('Are you sure you want to delete account?','weddlist'); ?>">    
    </div>
  </div>
</div>
</div>