<div class="dashboard-box">
    <div class="row">
      <div class="col-md-12 dashboard-page-head">
      	<div class="wishlistbox">
        <h3 class="couple-profile-heading"><?php esc_html_e('My Reviews','weddlist');?></h3>
      	</div>
      </div>
    </div>	    
	<?php       
        global $$paged,$current_user;
        wp_get_current_user();
        $userID             =   $current_user->ID;
        $args = array(
            'post_type' => 'wl-reviews', 
            'posts_per_page' => -1, 
            'author'	=> $userID,
            'orderby' => 'date',
            'order'   => 'DESC',
            'paged' => $paged,
            'post_status'	=> 'publish'
        );
    
    $reviews_query = new WP_Query( $args );	
    while ( $reviews_query->have_posts() ) {
        $reviews_query->the_post();		
        $authorid = $reviews_query->post_author;
    
		$review_id		= 	get_the_ID();
        $item_id		=	get_post_meta( $review_id, 'item_id',true) ;
        $rating			=	get_post_meta( $review_id, 'rating',true) ;			
 
        $rating_final	=	get_post_meta( $review_id, 'rating',true) ;			


        echo '<div class="review-box" id="review_box_'.$review_id.'"><div class="row">';			
        echo '<div class="col-md-10">';
        echo '<h4> <span>'.esc_html__('You posted review', 'weddlist').'</span> <strong>'.get_the_title($review_id).'</strong> '.esc_html__('on', 'weddlist').'<a href="'.get_the_permalink($item_id).'" target="_blank"> '.get_the_title($item_id).'</a></h4>';
		
        echo '<div class="review-box-count">
                <h4>
                    <span>'.esc_html__('Rating:', 'weddlist').'</span>';
                    if( !empty($rating) ){
                        $blankstars = 5;
                        while( $rating > 0 ){
                            echo '<i class="fa fa-star"></i>';
                            $rating--;
                            $blankstars--;
                        }
                        while( $blankstars > 0 ){
                            echo '<i class="fa fa-star-o"></i>';
                            $blankstars--;
                        }
                    }
                    echo
                '</h4>
            </div>';	
        
        echo '</div>';
        echo '<div class="col-md-2">';
        echo '<a href="javascript:void(0);" class="btn btn-link view_more_btn"  data-id="'.esc_attr($review_id).'">'.esc_html__('Edit Review', 'weddlist').'</a>';								
        echo '</div>';

        echo '<div class="col-md-12">';
		the_content();
        echo '</div>';

        echo '<div class="col-md-8">';
		echo '<form class="edit_reivew" id="edit_reivew_'.$review_id.'" style="display:none;" method="post">';              
			
		echo '<div class="form-group"><div class="mb40">';
		echo '<input type="hidden" name="rating" id="rating" class="rating-tooltip" value="'.$rating_final.'" data-filled="fa fa-star fa-2x" data-empty="fa fa-star-o fa-2x" />
';       echo '</div></div>';

		echo '<div class="form-group">
		<label for = "review_title">'.esc_html__('Title','weddlist').'</label>
		<input type = "text" id = "review_title" class="form-control required" name = "review_title" value="'.get_the_title($review_id).'" />
		</div>';

		echo '<div class="form-group"><label for = "review_description">'.esc_html__('Review','weddlist').'</label>
		<textarea id="review_description" class="form-control required" rows="8">'.get_the_content($review_id).'</textarea>
		</div>';

		echo '<input type="hidden" id="item_id" value="'.esc_attr($review_id).'"  />';		

		echo '<input name="submit_review" type="submit" id="submit-review-edit" class="submit-review-edit btn btn-pink" value="'.esc_html__('Submit Review', 'weddlist').'">';
		echo '</form>';              
        
        echo '</div>';
        echo '</div></div>';

    }
?>
</div>