<?php 
global $current_user,$post,$wpdb;
wp_get_current_user();
$userID          = $current_user->ID; 

$todolist_table = $wpdb->prefix."todolist";

$get_month_year = $wpdb->get_results( "SELECT MONTH(todo_date) as mon,YEAR(todo_date) as yea  FROM ".$todolist_table. " where todo_user=".$userID." GROUP BY YEAR(todo_date), MONTH(todo_date)"  ); 


$currency_code    = tg_option('currency_symbols');

$currentURL     = '';
$perma        = '';
$dashQuery      = 'dashboard=';
$currentURL     = get_permalink();
global $wp_rewrite;
if ($wp_rewrite->permalink_structure == ''){
  $perma = "&";
}else{
  $perma = "?";
}
if(isset($_GET['month']) && !empty($_GET['month']))
{
  $explode_value=explode("-",$_GET['month']);
  $month=$explode_value[0];
  $year=$explode_value[1];
  $get_todolist = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID. " and (Month(todo_date)='".$month."' && YEAR(todo_date)='".$year."') order by todo_date  ASC"  );  
}
else if(isset($_GET['status']) && !empty($_GET['status']))
{

  if($_GET['status']=="overdue")
  {
     $get_todolist = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID." and UNIX_TIMESTAMP(todo_date) < UNIX_TIMESTAMP()" ); 
  }
  else if($_GET['status']=="pending"){
    $get_todolist = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID." and todo_read=0" );  
  }
  else{
    $get_todolist = $wpdb->get_results( "SELECT *  FROM ".$todolist_table. " where todo_user=".$userID." order by todo_date ASC"  ); 

  }
}
else{
  $get_todolist = $wpdb->get_results( "SELECT *  FROM ".$todolist_table. " where todo_user=".$userID." order by todo_date ASC"  ); 
}

$get_todolist_total = $wpdb->get_results( "SELECT *  FROM ".$todolist_table. " where todo_user=".$userID." order by todo_date ASC"  ); 
$get_todo_unread = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID." and todo_read=0" );  
  
$get_todo_overdue = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID." and todo_read=0 and UNIX_TIMESTAMP(todo_date) < UNIX_TIMESTAMP()" ); 

if($get_todo_unread)
{
  $done_task=(count($get_todolist_total)-count($get_todo_unread)); 
}
else{
  $done_task=count($get_todolist_total); 
}

if($get_todolist_total)
{
  $total_task=count($get_todolist_total);
  $overdue_task=count($get_todo_overdue);

  $overdue_task_per=($overdue_task*100)/$total_task;
  $done_task_per=($done_task*100)/$total_task;  

}
?>
<div class="to-do-list-block user-main-box">
    <div class="row">
    <div class="col-md-12">
      <div class="user-main-heading-box">
            <h3><?php esc_html_e('To Do List','weddlist');?></h3>
            <div class="to-do-list-add"><a href="javascript:void();" data-toggle="modal" data-target="#add-todolist-popup"><span>+</span> <?php esc_html_e('Add Todolist','weddlist'); ?></a></div>
      </div>  
    </div>    
</div>
<div class="user-main-inner-box">
  <div class="row">
    <div class="col-md-3">
        <div class="couple-todo-left-category">
          <h5><?php esc_html_e('By Status','weddlist'); ?></h5>
          <ul>
            <?php
            if($get_todolist_total)
            {
              if(count($get_todolist_total)!=0)
              {
                echo '<li class="todo list-circle"><i class="fa fa-circle" aria-hidden="true"></i><a href="'.$currentURL.$perma.$dashQuery.'todolist&status=todo">'.esc_html__('Todo').'&nbsp;&nbsp;('.count($get_todolist_total).')</a></li>';
                echo '<li class="pending list-circle"><i class="fa fa-circle" aria-hidden="true"></i><a href="'.$currentURL.$perma.$dashQuery.'todolist&status=pending">'.esc_html__('Pending').'&nbsp;&nbsp;('.count($get_todo_unread).')</a></li>';

                echo '<li class="overdue list-circle"><i class="fa fa-circle" aria-hidden="true"></i><a href="'.$currentURL.$perma.$dashQuery.'todolist&status=overdue">'.esc_html__('Overdue').'&nbsp;&nbsp;('.count($get_todo_overdue).')</a></li>';
              }
            }
            ?>          
          </ul>  
          <h5><?php esc_html_e('By Month','weddlist'); ?></h5>
          <ul>
         <?php    
          $curr_month=date('m');
          $curr_year=date('Y');
          for($i=0;$i<count($get_month_year);$i++)
            {
                $month=$get_month_year[$i]->mon;
                $year=$get_month_year[$i]->yea;
                $ids=$month."-".$year;
                
                $get_rows = $wpdb->get_results( "SELECT * FROM ".$todolist_table. " where todo_user=".$userID. " and (Month(todo_date)='".$month."' && YEAR(todo_date)='".$year."') order by todo_date  ASC");
            

                if($month<$curr_month && $year<=$curr_year)
                {
                  $class_month_pass="month_passed";
                }
                else{
                  $class_month_pass="month_added";                
                }
                if(isset($_GET['month']) && $_GET['month']==$ids)
                {
                 $class_month_pass.=" active_todo"; 
                }
            ?>
          <li class="<?php echo esc_attr($class_month_pass); ?>">
              <a href="<?php echo $currentURL.$perma.$dashQuery.'todolist&month='.esc_attr($ids);?>" >
                <?php 

                $monthName = date('F', mktime(0, 0, 0, $month, 10))."&nbsp;&nbsp;".$year;
                echo wp_kses_post( $monthName )."&nbsp;&nbsp;(".count($get_rows).")"; 
                ?>
              </a>                
          </li>
            <?php
            }    
            ?>      
          </ul>  
          <div id="todolist_chart" class="mb10"></div>
         </div>
    </div>
    <div class="col-md-9">      
        <div class="overflow-auto table-responsive-new">
          <table id="todolist_table" class="table table-striped" style="width: 100%;">
          <thead>
              <tr>
                  <th>&nbsp;</th>
                  <th><?php esc_html_e('Title','weddlist'); ?></th>
                  <th><?php esc_html_e('Task Date','weddlist'); ?></th>
                  <th><?php esc_html_e('Reminder Date','weddlist'); ?></th>
                  <th><?php esc_html_e('Details','weddlist'); ?></th>
                  <th><?php esc_html_e('Status','weddlist'); ?></th>
                  <th><?php esc_html_e('Action','weddlist'); ?></th>
              </tr>
          </thead>
          <tbody>
          <?php

          
        for($k=0;$k<count($get_todolist);$k++)
        {
         $id=$get_todolist[$k]->todo_id;

         $class_check='no-text-line';

         if($get_todolist[$k]->todo_read!=0) {
            $class_check='text-line';
         } 
           ?>          
              <tr class="<?php echo esc_attr($class_check) ?>" id="line_<?php echo esc_attr($id);?>">
                 <td class="check">
                  <?php   
                  if($get_todolist[$k]->todo_read==0) {
                  ?>
                  <div class="input-box"><input type="checkbox" name="todocheck_<?php echo esc_attr($id);?>" id="todocheck_<?php echo esc_attr($id);?>" data-msg="<?php esc_html_e('Completed','weddlist'); ?>"><label for="todocheck_<?php echo esc_attr($id);?>"  onclick="read_todolist(<?php echo esc_attr($id);?>)" ><span class="icon fa fa-check"></span></label></div>
                                    <?php }else{ ?>
                  <div class="input-box"><input type="checkbox" checked disabled name="todocheck_<?php echo esc_attr($id);?>" id="todocheck_<?php echo esc_attr($id);?>"><label for="todocheck_<?php echo esc_attr($id);?>" data-msg="<?php esc_html_e('Completed','weddlist'); ?>" ><span class="icon fa fa-check"></span></label></div>
                  <?php } ?>  
                  </td>
                  <td><?php echo esc_html($get_todolist[$k]->todo_title);?></td>
                  <td><div class="date"><?php echo date('d M, Y',strtotime($get_todolist[$k]->todo_date));?></div>
                  </td>
                  <td>
                   <?php
                  if($get_todolist[$k]->todo_date > date("Y-m-d"))
                  {
                    ?>
                    <div class="date bg-info btn"><i class="fa fa-bell-o"></i><?php echo ' '.date('d M, Y',strtotime("-2 day",strtotime($get_todolist[$k]->todo_date))); ?></div>
                    <?php 
                  }
                  else{  
                      ?>
                    <div class="date bg-danger btn"><i class="fa fa-bell-o"></i><?php echo ' '.date('d M, Y',strtotime("-2 day",strtotime($get_todolist[$k]->todo_date))); ?></div>
                    <?php 
                  }
                   ?></td>
                  <td><p><?php echo wp_kses_post( $get_todolist[$k]->todo_details );?></p></td>
                  <td><?php   
                    if($get_todolist[$k]->todo_read==0) {
                    ?>
                    <span class="badges todo_read" id="todo_read_<?php echo esc_attr($id);?>"><?php esc_html_e('Pending','weddlist'); ?></span>
                    <?php }else{ ?>
                    <span class="badges todo_read" id="todo_read_<?php echo esc_attr($id);?>"><?php esc_html_e('Completed','weddlist'); ?></span>
                  <?php }?></td>
                  <td> <div class="to-do-list-action-tabs table-editable-icon action_perform" id="todolist_<?php echo esc_attr($id);?>">                                   
                      <a href="javascript:void(0)" onclick="edit_todolist(<?php echo esc_attr($id);?>)"><i class="fa fa-edit" aria-hidden="true"></i></a>
                      <a href="javascript:void(0)" class="btn-circle btn-delete" title="Delete" onclick="delete_todolist(<?php echo esc_attr($id);?>)"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                    </div>
                  </td>
              </tr>
            <?php } ?>               
          </tbody>
        </table>   
        </div>          
      </div>
     </div>
    </div>  
    </div>
  </div>
</div>
<input type="hidden" id="tododeletemsg" name="tododeletemsg" value="<?php esc_html_e('Are you sure you want to delete this list?','weddlist'); ?>">
<div class="modal fade" id="add-todolist-popup" tabindex="-1" role="dialog" aria-labelledby="add-todolist-popup">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close closepopup" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title"><?php esc_html_e('Add Todolist','weddlist');?></h4>
      </div>
      <div class="modal-body">
      <div class="create-task-block">
            <form id="form-todolist" method="post" id="addtodolist">
              <?php wp_nonce_field('ajax-user-todolist-nonce', 'security'); ?>
              <div class="row"> 
              <div class="col-md-6">
                <div class="form-group">
                  <label for="todotitle"><?php esc_html_e('Title','weddlist'); ?></label>
                  <input class="form-control" id="todotitle" type="text" />
                </div>
              </div>  
              <div class="col-md-6">  
              <div class="form-group">
                <label for="tododate"><?php esc_html_e('Date','weddlist'); ?></label>
                <input class="form-control book_date check_book_date" id="tododate" type="text" />
             </div>
             </div>
             <div class="col-md-12">
             <div class="form-group">
                <label for="tododetail"><?php esc_html_e('Details','weddlist'); ?></label>
                <textarea class="form-control" id="tododetail"></textarea>
             </div>
           </div>
           <div class="col-md-12">
             <div class="form-group">
                <button type="button" id="btn-todolist" class="btn btn-pink"><?php esc_html_e('Save','weddlist'); ?></button>
             </div>
             <div class="status"></div>
             </div>
             </div>
            </form>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close closepopup" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="editModalLabel"><?php esc_html_e('Edit Todolist','weddlist');?></h4>
      </div>
      <div class="modal-body">
      <div class="create-task-block">
        <form id="form-edit-todolist">
            <div class="row"> 
            <div class="col-md-6">
              <div class="form-group">
                <label for="todotitle"><?php esc_html_e('Title','weddlist'); ?></label>
                <input class="form-control" id="todotitle" type="text" value="" />
              </div>  
           </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="tododate"><?php esc_html_e('Date','weddlist'); ?></label>
                <input class="form-control book_date check_book_date" id="tododate" type="text" value="" readonly="readonly" />
             </div>
           </div>           
           <div class="col-md-12">
           <div class="form-group">
              <label for="tododetail"><?php esc_html_e('Details','weddlist'); ?></label>
              <textarea class="form-control" id="tododetail"></textarea>
           </div>
           <div class="form-group">
              <input id="todoid" name="todoid" type="hidden" value="" />
              <button type="button" id="edit-todolist" class="btn btn-pink"><?php esc_html_e('Save','weddlist'); ?></button>
           </div>
           <div class="status"></div>
           </div>
           </div>
            </form>
        </div>
      </div>
    </div>
  </div>
</div>
<?php
if($get_todolist_total)
{
$pending=$total_task-$done_task;
?>
<script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>
<script type="text/javascript">
var options = {
  series: [<?php echo round($done_task); ?>,<?php echo round($pending); ?>],
  colors: ['#28c38d', '#ff6666'],
  labels: ['<?php echo esc_html__('Done','weddlist').' ('.round($done_task).')'; ?>','<?php echo esc_html__('Todo','weddlist').' ('.round($pending).')'; ?>'],
  markers: false,
  chart: {
    type: 'donut',
    width: '100%',
    height: 290
  },
  title: {
      style: {
          fontSize: '20px'
      }
  },    
  plotOptions: {
      pie: {
          customScale: 0.8,
          donut: {
              size: '40%',
          },
          offsetY: 0,
      },
       stroke: {
          colors: undefined
      }
  },  
  legend: {
    position: 'bottom'
  }
};
var chart = new ApexCharts(document.querySelector("#todolist_chart"), options);
chart.render();  
</script>
<?php } ?>