<?php 
$post_author_id 	= get_post_field( 'post_author', $post->ID );
$user_email 			= get_the_author_meta( 'user_email', $post_author_id);

$item_vendor_email        =   get_post_meta($post->ID, 'item_vendor_email', true);
if(empty($item_vendor_email))
{
  $item_vendor_email = $user_email;
}
?>
<div class="vendor-enquery-block">
    <h4 class="vendor-enquery-heading"><?php esc_html_e('Contact Vendor','weddlist');?></h4>
      <form class="ajax-auth" id="booknowbox" method="post">
      <?php wp_nonce_field('ajax-vendor-send-me', 'security'); ?>
      <div class="form-group">
        <input type="text" class="form-control required" id="name" name="name" placeholder="<?php esc_attr_e('Your Name *','weddlist'); ?>"/>
      </div>
      <div class="form-group">
        <input type="email" class="form-control required" id="email" name="email" placeholder="<?php esc_attr_e('Email Address *','weddlist'); ?>"/>
      </div>
      <div class="form-group">
        <input type="text" class="form-control required" id="phone"  name="phone" placeholder="<?php esc_attr_e('Phone *','weddlist'); ?>"/>
      </div>
      <div class="form-group">
        <div class="date-picker">
          <input type="text" class="form-control book_date check_book_date" id="date" name="book_date" placeholder="<?php esc_attr_e('Wedding Date','weddlist'); ?>"/>
          <label><i class="fa fa-calendar" aria-hidden="true"></i></label>
        </div>
      </div>
      <div class="form-group">
        <textarea id="details" name="details" placeholder="<?php esc_attr_e('Your Message','weddlist'); ?>" class="form-control"></textarea>
      </div>

      <div class="form-group">
        <div class="send-me"><?php esc_html_e('Contact Via','weddlist'); ?></div>
        <div class="checkbox-dtl">
          <input type="checkbox" value="Email" id="checkbox" name="sendme" />
          <label for="checkbox"></label>
          <div class="checkbox-label"><?php esc_html_e('E-Mail','weddlist'); ?></div>
        </div>
        <div class="checkbox-dtl checkbox-two">
          <input type="checkbox" value="Call" id="checkbox-tow" name="sendme" />
          <label for="checkbox-tow"></label>
          <div class="checkbox-label"><?php esc_html_e('Call','weddlist'); ?></div>
        </div>
      </div>
      <div class="form-group">
        <button type="submit" id="book-now-on" class="btn btn-pink"><?php esc_html_e('Submit','weddlist'); ?></button>
	   </div>
       <div class="status"></div>
       <input type="hidden" id="user_email_id" value="<?php echo esc_attr($item_vendor_email);?>"  />
       <input type="hidden" id="vendorid" value="<?php echo esc_attr($post_author_id);?>"  />
       <input type="hidden" id="post_id" value="<?php echo get_the_ID();?>"  />
      </form>
</div>