<?php 

global $post;

$show_sidebar='none';

if(function_exists('is_woocommerce'))
{
	if(is_woocommerce() || is_cart() || is_checkout() || is_account_page())
	{
		if(is_shop())
		{
			$page_id  	= wc_get_page_id( 'shop' );	
		}
		else if(is_cart())
		{
			$page_id  	= wc_get_page_id( 'cart' );	
		}
		else if(is_checkout())
		{
			$page_id  	= wc_get_page_id( 'checkout' );	
		}	
		else if(is_account_page())
		{
			$page_id  	= wc_get_page_id( 'myaccount' );	
		}		

		$show_sidebar 	= get_post_meta( $page_id, 'show_sidebar', true );
		$sidebar_select = get_post_meta( $page_id, 'sidebar_select', true );
		
		if(  $show_sidebar != '' )
			 $show_sidebar = get_post_meta( $page_id, 'show_sidebar', true );
		else $show_sidebar = esc_html("right");

		if(  $sidebar_select != '' )
			 $sidebar_select = get_post_meta( $page_id, 'sidebar_select', true );
		else $sidebar_select = esc_html("sidebar-1");	
	}

	if(is_shop())
	{
		$show_sidebar  	= 'none';	
		$sidebar_select = '';
		$select_div_structure = '';
	}	

}	
else if( is_page() || is_singular() && !is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	$sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	
	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	else $show_sidebar = esc_html("right");

	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");	

}

elseif( is_home() && is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("none");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");

}elseif( is_home() && !is_front_page() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if(  $show_sidebar != '' )
		 $show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	else $show_sidebar = esc_html("right");
	
	if(  $sidebar_select != '' )
		 $sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	else $sidebar_select = esc_html("sidebar-1");

}else {
	$show_sidebar   = esc_html("right");
	$sidebar_select = esc_html("sidebar-1");
}



$select_div_structure = get_post_meta( $post->ID, 'show_div_structure', true );

switch( $show_sidebar ){

	case 'right' :  

		echo '</div><div class="col-lg-4 col-md-4  blog-sidebar">';

		switch( $sidebar_select ){

			case $sidebar_select :  if ( is_active_sidebar($sidebar_select) ){ dynamic_sidebar( $sidebar_select ); }
			break;

			default :  if ( is_active_sidebar('weddlist-page') ){ dynamic_sidebar( 'weddlist-page' ); }
			break;
		}

		echo '</div></div>';

		switch( $select_div_structure  ):

			case "container":  		    echo '</div>'; break;

			case "container-fluid":     echo '</div>'; break;

			case "custom":  			echo '</div>'; break;

			default:   					echo '</div>'; break;

		endswitch;
		
	break;

	case 'left' :

		echo '</div></div>';

		switch( $select_div_structure  ):

			case "container":  		    echo '</div>'; break;

			case "container-fluid":     echo '</div>'; break;

			case "custom":  			echo '</div>'; break;

			default:   					echo '</div>'; break;

		endswitch;
	
	break;

	case 'none' : 

		switch( $select_div_structure  ):

			case "container":  		    echo '</div></div></div>'; break;

			case "container-fluid":     echo '</div></div></div>'; break;

			case "custom":  			echo ''; break;

			default:   					echo '</div></div></div>'; break;

		endswitch;

	break;

	default :     

		switch( $select_div_structure  ):

			case "container":  		    echo '</div>'; break;

			case "container-fluid":     echo '</div>'; break;

			case "custom":  			echo '</div>'; break;

			default:   					echo '</div>'; break;

		endswitch;	

		echo '</div></div>';

	break;
}

if(function_exists('is_woocommerce'))
{
	if(is_woocommerce()){
	 	echo '</div>';	
	}
	else if(is_cart()){	
	 	echo '</div>';	
	} 
	else if(is_checkout()){	
	 	echo '</div>';	
	} 
	else if(is_account_page()){	
	 	echo '</div>';	
	}
} 
?>